/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/

struct DF {
  char *line;
} Definitions[] =  {
{"Absolute Entropy := The entropy of any substance at a temperature above \n \
absolute zero."},
{"Absolute Uncertainty := The range of reliability of an experimental value."},
{"Absolute Zero := The theoretical temperature at which molecular motion \n\
vanishes and a body would have no heat energy; the zero point of the Kelvin\n\
and Rankine temperature scales."},
{"Absorption Sepctrum := A plot of the intensity of radiation absorbed by a\n \
substance as a function of the wavelength or frequency of the radiation."},
{"Actinide Series := Elements of atomic numbers 89 to 103 analogous to the\n\
lanthanide series of the so-called rare earths."},
{"Activated Complex := A transition state. An unstable arrangement of atoms\n \
which exists while atoms are changing bonds during a chemical reaction."},
{"Allotropes := Two or more forms of the same element in the same physical\n \
state."},
{"Alpha Particle := a particle that consists of two protons and two \
neutrons. \
Approximate mass of 0.00055 u, has a negitive unit charge and is found \n \
outside the nucleus of an atom."},
{"Amalgam := An alloy of mercury with another metal or metals."},
{"Amonton\047s Law := At constant volume, the pressure of a sample of gas\
 varies\n directly with the absolute temperature."},
{"Ampere := The constant current which, if maintained in two straight parallel\
\n conductors of infinite length, of negligable circular cross section, and \
\n placed 1 meter apart in a vacuum, would produce between these conductors\
\n a force equal to 2x10^7 newton per meter of length."},
{"Amphoterism := The ability of a substance to function as both an acid\n \
and a base."},
{"Angstrom := A unit of length, used especially in expressing the length\n\
of light waves, equal to one ten-thousandth of a micron, or one hundred-\n\
millionth of a centimeter. (1X10^-8cm)"},
{"Anhydrous := Having no water."},
{"Anion := A negatively charged ion; an atom or group of atoms that has \
gained\none or more electrons."},
{"Anode := An electrode at which oxidation occurs."},
{"Antibonding Molecular Orbital := A molecular orbital in which electron \
density\n is low in the internuclear region."},
{"Arc Process := A nitrogen-fixation process in which nitrogen oxide, NO,\n \
is produced by the reaction of nitrogen and oxygen in an electric arc."},
{"Arrhenius Acid := A compound that dissociates in water to produce hydrogen\n\
cations."},
{"Arrhenius Base := A compound that dissociates in water to produce \
hydroxide\n anions."},
{"Atomic Mass Unit (amu) := A unit of mass equal to one twelfth the mass of a\n\
single atom of the isotope carbon-12.  In SI units: 1amu = 1.6605402X10^-27 kg"},
{"Atomic Number := The number of protons in the nucleus of an atom, usually\n \
denoted by Z."},
{"Atomic Orbital := The one-electron wave function; a solution to the \n\
Schrodinger equation for the hydrogen atom. For many electron atoms the \n\
atomic orbital is a subunit of the wave function for all the electrons."},
{"Atomic Radius := An approximation of the radius of an atom based on the\n \
division of atomic distances."},
{"Aufbau Process := The building-up of the periodic table by describing the\n\
ground state electronic configuration of each element in order of increasing\n\
atomic number Z."},
{"Azeotrope := A solution that has a higher or lower vapor pressure than any\n\
of the pure compounds from which it is made."},
{"Avogadros number := 6.02205 X 10^23.  The number of elementary entities\n\
as there are atoms in exactly 12g of carbon-12. 1 mole."},
{"Avogadro\047s Principle := Equal volumes of all gases at the same \
temperature\n and pressure contain the same number of molecules."},
{"Azimuthal (Angular) quantum number, l := The quantum number that determines\n\
the shape or angular distribution of an atomic orbital."},
{"Bayer Process := A process for obtaining pure aluminum oxide from bauxite\n\
ore."},
{"Boiling Point := the temperature at which the vapor pressure of a liquid\n \
equals the external pressure."},
{"Bond Dissociation Energy := (bond energy) The energy required to break the\n\
bond that holds two atoms together."},
{"Bond Distance := The distance between two nucleui of two atoms bound \
together."},
{"Bond Order := One-half the number of bonding electrons minus one-half the\n \
number of anti-bonding electrons."},
{"Born-Haber Cycle := A method of analysis of enthalpy change in which the\n \
change in enthalpy for the entire process is set equal to the sum of the\n \
enthalpy changes for a series of steps."},
{"Boyles\047 Law := At constant temperature, the volume of a sample gas \
varies\n inversly with the pressure."},
{"Bronstead Acid := A substance that can donate protons."},
{"Bronstead Base := A substance that can accept protons."},
{"Buffer := A solution capable of maintaining its pH at a fairly constant\n\
value even if small amounts of acids or bases are added."},
{"Canal Rays := Gaseous ions discovered by Eugen Goldstein in 1886 and \n\
characterized by Wilhelm Wien in a 1902 article which confirmed the charge \n\
to mass ratio of these and other ions by a method similiar to that used by \n\
J.J. Thompson."},
{"Catalyst := A substance that increases the rate of reaction without being\n \
used up in the reaction."},
{"Catenation := The formation of chains or rings by atoms of the same\n \
element bonded to each other."},
{"Cathode := An electrode at which reduction occurs."},
{"Cation := A positively charged ion; an atom or group of atoms that has \
lost\n one or more electrons."},
{"Celcuis := A temperature scale named for Anders Celsius, a Swedish\n\
astronomer.  The freezing/melting point of water is 0 degrees C and its\n\
boiling/vaporization temperature is 100 degrees C."},
{"Charles\047 Law := At constant pressure, the volume of a sample of gas \
varies\n directly with the absolute temperature."},
{"Chelate := A metal complex that contains coordinated multidentate ligands."},
{"Chelating Agent := A ligand capable of occupying more than one coordinate\n\
position on a central metal ion in a complex (a multidentate ligand)."},
{"Chemical Equilibrium := A state in which the rate of a reversible reaction\n\
in one direction equals the rate in the other direction."},
{"Chiral Molecule or Ion := A molecule or an ion that can exist in two forms\n\
that are mirror images that are not superimposable."},
{"Common-ion Effect := The effect on an equilibrium system caused by the\n\
addition of a compound that has an ion in common with one present in the\n\
system."},
{"Complex Ion := An aggregate consisting of a central metal cation \
surrounded\nby a number of ligands."},
{"Coordination Number := The number of atoms directly bonded to the central\n\
metal cation of a complex."},
{"Covalent Bond := A bond formed between two atoms by sharing electron(s)."},
{"Cracking := A process used in petroleum refining in which high molecular\n \
weigth hydrocarbons are broken down into lower molecular weight compounds."},
{"Critical Temperature := The temperature above which it is impossible to\n \
liquify the gas under study no matter how high the pressure."},
{"Cyanamid Process := The preperation of calcium cyanamid (CaNCN) from\n \
calcium carbide (CaC2) and nitrogen."},
{"Dalton\047s Law of Partial Pressure := The total pressure of a mixture of \
gases\n that do not react is equal to the sum of the partial pressures of all\
 the\n gases present."},
{"Dipole-Dipole interactions := The attraction between two assemblies of atoms\
 in which the net ionic charges are opposite in relation to each other over a \
number of atoms."},
{"Dipole Moment := The distance between two equal charges with opposite \
signs\n times the magnitude of the charge."},
{"Displacement Reaction := A reaction in which one element or group of \
elements\n displaces another from a compound."},
{"Distillation := Seperation of a solution into its components by \
vaporization\n and condensation."},
{"Dobereiner, Johann (1780-1849) := In 1829 this German chemist drew the \n \
logical conclusion that properties of the elements were related to their \n \
mass by grouping elements in triads, thus beginning the evolution of the \n \
periodic table."},
{"Downs Cell := An electrolytic cell in which the more reactive metal is\n\
produced by the electrolysis of the molten chloride of the metal."},
{"Earth\047s Composition := The Earth\047s surface is roughly composed of: \n\
Oxygen 49.5%, Silicon 25.7%, Hydrogen 0.9%, Aluminum 7.5%, Sodium 2.6%, \n\
Iron 4.7%, Calcium 3.4%, Magnesium 1.9%, Potassium 2.4%, Others 1.4%. \n\
Source: Chemistry for Changing Times, 5ed, by John W. Hill, Macmillian \n \
Publishing Co., New York, 1988 page 185."},
{"Electrical Conductivity := A measure of the ability of a substance to\n\
conduct electricity."},
{"Electrolysis := The use of electric current to bring about chemical \
change."},
{"Electrolyte := A solute that dissolves in water to produce a solution \n \
that is a better conductor of electricity than pure water."},
{"Electron Affinity := The energy change associated with the process in\n \
which an electron is added to an element in the gaseous (ground) state."},
{"Electron Configuration := The manner in which electrons are arranged \n \
in an\n atom."},
{"Electronegativity := The relative ability of an atom in a molecule to \n \
attract\nelectrons to itself."},
{"Electrophilic Displacement := A reaction in which a Lewis acid displaces\n \
a second, weaker Lewis acid from an acid-base complex."},
{"Empirical Formula := A formula written using the simpliest whole-number\n\
ratios of the elements."},
{"Enantiomorphs := Two different compounds that are mirror images of one\n\
another."},
{"Endothermic := Used to refer to the absorbtion of heat, usually in a \
reaction."},
{"Energy of Activation := The difference between the energy of the \
reactants\n and the energy of the activated complex."},
{"Enthalpy := The heat content of a sample of matter at STP (standard\n \
temperature and pressure)."},
{"Enthalpy of Sublimation := The enthalpy of change for converting a solid\n \
directly to a gas."},
{"Entropy, S := A measure of the randomness or disorder of a system."},
{"Enzyme := A natural catalyst.  Usually related to a biological process."},
{"Equilibrium := A condition in which the rates of two opposite tendencies\n \
are equal."},
{"Equilibrium Constant := a constant equal to the ratio of the \
concentrations\n of the products of the equation raised to the power of their\
 balanced equation\n coefficients divided by the concentrations of the\
 substrates raised to\n the powers of their balanced equation coefficients."},
{"Evaporation := The process in which a liquid is converted into a gas."},
{"Exothermic := Used to refer to the liberation of heat, usually in a \
reaction."},
{"Fahrenheit := A temperature scaled named for G. Daniel Fahrenheit, a \
German\n insturment maker.  The freezing/melting point of water is 32 \
degrees F and\n its boiling/vaporization temperature is 212 degrees F."},
{"Faraday, F := The total charge of one mole of electrons."},
{"First Law of Thermodynamics := Energy can be converted from one form into\n \
another but it cannot be created or destroyed."},
{"Flotation := A method of ore concentration in which finely crushed ore\n\
is mixed with oil and water, agitation of the mixture with air produces a\n\
froth which contains mineral particles and is skimmed off."},
{"Formal Charge := A charge assigned to an atom in a covalent structure by\n \
apprortioning the bonding electrons equally between the bonded atoms."},
{"Frasch Process := A process in which molten sulfur is obtained from\n \
the earth by heated, pressurized water."},
{"Fuel Cell := Voltaic cells designed to convert energy obtained from a\n \
combustion of fuel into electrical energy."},
{"Gamma Radiation := Very short wavelength radiation."},
{"Gibbs Free Energy := The thermodynamic function that takes into account \
both\nthe enthalpy and entropy of a system."},
{"Graham\047s Law of Effusion := The rate of effusion of a gas is inversely\n \
proportional to the squre root of its density or the square root of its\n \
molecular weight."},
{"Ground State := The lowest possible energy of an atom in which all \
electrons\n are as close to the nucleus as possible."},
{"Guy-Lussac\047s Law of Combining Volumes := At constant temperatuer and \
 pressure,\n the volumes of gases used or produced in a chemical reaction \
stand in ratios\n of small, whole numbers."},
{"Haber Process := The preperation of ammonia (NH3) from hydrogen(H2) and\n \
Nitrogen(N2) gases."},
{"Hall Process := Production of aluminum by electrolysis of a solution of\n\
aluminum oxide in molten cryolite, Na3AlF6."},
{"Heat Capacity := The amount of heat required to raise the temperature of\n\
a given amount of a substance by 1 degree Celcius."},
{"Henry\047s Law := The amount of gas that dissolves without reaction in a\
 given\n quantity of a liquid is directly proportional to the partial \
pressure of the\ngas above the solution."},
{"Hess\047s Law := (G.H. Hess, 1840) (law of constant heat summation) the \
change\n in enthalpy for any chemical reaction is constant."},
{"Heterogeneous Catalyst := A catalyst that is present in a different phase\n \
from that of the reactants."},
{"Hund\047s Rule := Electrons are distrubuted among the orbitals of a\
 subshell\n \
in a way that gives the maximum number of unpaired electrons with parallel\n \
spins."},
{"Hydration := The process in water molecules are attracted and surrond \
solute\nparticles in solution."},
{"Hydrogen bonding := The bond hydrogen forms with other atoms with hydrogen \
forming an ionic type interaction with negatively charged atoms of other \
compounds."},
{"Hydrolysis := A reaction of a cation or an anion with water that affects\n\
the pH."},
{"Ideal Gas law := The product of the pressure,P and the volume, V of a \
 sample\n of ideal gas is proportional to the number of moles of gas, n, \
times the\n absolute temperature, T; PV = nT (0.082056 liter atm/K mol)."},
{"Ionic Bond := A bond between a positively and negatively charged pair of\n \
ions which results in the transfer of electrons."},
{"Ionization Energy := The amount of energy required to remove an electron\n \
from an atom in its ground state."},
{"Ions := Particals that bear positive or negative chages."},
{"Isoelectronic := The same electron configuration."},
{"Joule := The SI unit of energy.  The amount of work expended when a force\n \
of one newton is exerted through a distance of one meter."},
{"Kelvin Temperature Scale := A temperature scale named after lord Kelvin in\n\
which absolute zero is assigned a value of 0 and the freezing/melting point\n\
of water is 273.15 K."},
{"Kilogram := The unit of mass equal to the international prototype of the \n \
kilogram which is a particular cylinder of platinum-iridium alloy which is \n \
preserved in a vault at Sevres, France, by the Internationational Bureau of\n \
Weights and Measures."},
{"Kinetic Theory of Gases := A model on the molecular level that can be used\n\
to explain the gas laws and from which the ideal gas law can be derived."},
{"Kroll Process := The reduction of a metal halide by Mg, Na, or Ca."},
{"Lattice Energy := The enthalpy change associated with the condensation\n \
of gaseous ions into an ionic crystal."},
{"Law of Conservation of Mass := (Antoine Lavoisier, 1743-1794) There \n \
is no detectable change in mass during the course of a chemical reaction."},
{"Law of Definite Proportions := (Joseph Proust, 1799) A pure compound\n \
always consists of the same elements combined in the same proportion\n \
by mass."},
{"Law of Multiple Proportions := (John Dalton, 1766-1844) When two elements\n\
form one compound they are combined in a ratio of small whole numbers."},
{"Le Chatelier\047s Principal := A system in equilibrium reacts to a change \
in\nconditions in a way that tends to offset the change and establish a new\n \
equilibrium."},
{"Leaching := The removal of the metal component of an ore by use of a\
solution\nthat contains a substance with which the desired component reacts\
to form\na soluble species."},
{"Lewis Acid := A substance that can form a covalent bond by sharing an \
electron\n pair that is donated by a Lewis base."},
{"Lewis Base := A substance that can form a covalent bond with a Lewis acid\n\
by donating an electron pair toward the formation of the bond."},
{"Lewis Structure := A representation of a covalent molecule or ion in \
which\n only the valence electrons of the atoms are shown."},
{"Ligand := An anion or molecule that has an unshared pair of electrons with\n\
which it can bond to a metal cation in the formation of a complex ion."},
{"London Forces := Intermolecular brought about by attractions between\n \
instantaneous dipoles."},
{"Magnetic Orbital Quantum Number := Indicates the orientation of the \
orbital\n of the electron."},
{"Magnetic Spin Number (s) := The relative spin of an electron +1/2 or -1/2."},
{"Mass Number := The number of protons and neutrons in the nucleus of an\
 atom."},
{"Maxwell-Boltzmann Distribution := The way in which kinetic energy or\n\
molecular speed is distributed among the molecules of a gas."},
{"Melting Point := The temperature at which a substances changes state from\n \
a solid to a liquid."},
{"Meter := The length equal to 1,650,763.73 wavelengths in vacuum of the\n \
radiation corresponding to the transition between the levels 2p10 and 5d5 \n \
of the\n krypton-86 atom."},
{"Molarity (M) := The number of moles of a substance (solute) dissolved in\n\
1 liter of solution."},
{"Molecular Formula := A formula giving the number of atoms of each type\n\
in a single molecule."},
{"Nernst Equation := an equation used to determine the electromotive force\n \
of a cell based on concentrations."},
{"Neutron := A subatomic particle that has an approximate mass of 1.0087u, \
is\n uncharged, and is found in the nucleus of an atom."},
{"Newton := The force which gives to a mass of 1 kilogram an acceleration \n \
of 1 meter per second."},
{"Nucleophilic Displacement := A reaction in which a Lewis base displaces a\n\
second, weaker Lewis base from an acid-base complex."},
{"Ostwald Process := The production of nitric acid (HNO3) by catalytic \
oxidation\nof NO to NO2 which is then combined with water."},
{"Organic Chemistry := The chemistry of the hydrocarbons and their \
derivatives."},
{"Oxidation := The increase of an oxidation number of an atom in a compound\n \
associated with the loss of an electron in a redox reaction."},
{"Oxidation Number := A charge that is assigned to an atom in a compound."},
{"Parkes process := A process for removing silver from inpure lead using\
molten\n zinc."},
{"Pauli Exclusion Principle := No two electrons in the same atom may have\n \
identical sets of all four quantum numbers.  Thus, no two electrons in the\n \
same atomic orbital may have the same spin in the ground state."},
{"pH := The negative logarithm (base 10) of the concentration of H+."},
{"Phase := A physically distinct portion of matter that is uniform thoughout\n\
in composition and properties."},
{"Photosynthesis := The process by which plants make carbohydrates; CO2 is\n\
removed from the air and O2 is returned using energy supplied by sunlight."},
{"pK := The negative logarithm of an ionization constant."},
{"Pressure := Force per unit area."},
{"Principal Quantum Number := The number indicating the engergy shell of \
an\n electron. (1,2,3...)."},
{"Proton := A subatomic particle that has an approximate mass of 1.0073 u,\n \
a positive unit charge, and is found in the nucleus of an atom."},
{"Quantum := A small definite quantity of radiant energy."},
{"Radioactivity := The spontaneous emmission of radioactive rays by an \
unstable\nisotope of an element."},
{"Reduction := The decrease of an oxidation number of an atom in a compound\n \
associated with the gain of electrons in a redox reaction."},
{"Resonance := A concept in which two or more Lewis structures are used to\n \
describe the structure of a covalent molecule or ion."},
{"Roasting := A process where inpure metal is purified by heating in air\
which\n oxidizes sulfides and carbonates."},
{"Salt Effect := The increase in solubility brought about by the addition \
of\n a salt to the solution."},
{"Second := The duration of 9,192,631,770 periodics of the radiation \n \
corresponding to the transition between two hyperfine levels of the ground \n \
state of the cesium-133 atom."},
{"Second Law of Thermodynamics := Every spontaneous change is accompanied by\n\
an increase in entropy."},
{"Shielding := The effect that inner shell electrons have in diminishing \
the\n nuclear charge experienced by the outer electrons."},
{"Smelting := A high-temperature reduction process in which a free metal is\n\
secured from its concentrated and purified ore."},
{"Solubility Product, K := The equilibrium constant which is a product of \
the\nthe ion concentrations with the concentrations raised to the powers of\n \
the coefficents of the balanced chemical equation."},
{"Specific Heat := The amount of heat required to raise the temperature of\n\
1 gram of the substance by 1 degree Celcius."},
{"Standard Hydrogen Electrode := A reference electrode in which hydrogen \
gas,\n at 1 atm pressure, is bubbled over a Pt electrode that is immersed \
in\n an acid solution containg H- ions at unit activity."},
{"Standard State := The state in which the substance is stable at 1 atm\n \
pressure and 25 degrees Celcius.  Often abbreviated STP for Standard \n \
Temperature and Pressure."},
{"Stereo Isomers := Compounds that have the same molecular formula but \
differ\nin the way the atoms are bonded together."},
{"Structural Isomers := Compounds that have the same molecular formula and\n\
are bonded in the same way but that differ in the way the constituent atoms\n\
are arranged in space."},
{"Subshell := A division of an electron shell characterized by a partiular \
value\n of l. (s,p,d,f,...) (0,1,2,3...)."},
{"Thermite Process := The reduction of an oxide of a metal by aluminum."},
{"Third Law of Thermodynamics := At 0 degrees Kelvin the entropy of a \
perfect\ncyrstal is zero."},
{"Triple Point := The temperature and pressure at which a substance can\n \
simultaneously exist as a solid, liquid, and a gas in equilibrium with\n \
each other."},
{"Uncertainty Principal := It is impossible to determine, simultaneously, \
the\nexact position and exact momentum of an electron."},
{"Unit Charge := 1.6022 X 10 ^-19 Colombs."},
{"Valence Electrons := The electrons found in the outermost shell of in \
the\nground state of an element."},
{"Van Der Waals force := dipole-dipole forces, hydrogen bonding, and London \
forces are collectively known as Van Der Waals forces, the forces of \
intermolecular chemistry."},
{"Volt := The volt is the difference of electric potential between two \n \
points of a conducting wire carrying a constant current of 1 ampere, when\n \
the power dissipated between these points is equal to 1 watt."},
{"Watt := The power which gives rise to the production of energy at the \n \
rate of 1 joule per second."},
{"Wavelength, lambda := The distance between sucessive maxima (or minima) of\n\
a wave."},
{"Wave Mechanics := Another name for quantum mechanics."},
{"Weak Electrolyte := An electrolyte for which the extent of dissassociation\n\
into ions is significantly less than 100%, even in dilute aqueous solution."},
{"Weight := The force of attraction exerted on a body by gravity.  Equal to\n \
mg, where m is mass and g is the acceleration due to gravity."},
{"Work := The product of a force and the distance through which force operates."},
{"X-Ray Diffraction := An experimental technqiue for determining interatomic\n\
distances and bond angles in molecules and ions in the crystalline state."},
{"Zeeman Effect := The splitting of lines in an atomic spectrum into a \n \
a multiplet of lines when an external magnetic field is applied."},
{"Zwitterion := A form of amino acid molecule in which the carboxyl proton\n\
has been donated to the amino group."},
{"\0"}};




