/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/

#include <string.h>
#include "periodic.h"

  struct CON {
    char *line;
  } conductors[] = {
{"Aluminum        2.824        0.0039           2.70        30,000        659"},
{"Antimony        41.7         0.0036           6.6                       630"},
{"Arsenic         33.3         0.0042           5.73                         "},
{"Bismuth        120           0.004            9.8                       271"},
{"Cadimium         7.6         0.0038           8.6         70,000        321"},
{"Cobalt           9.8         0.0033           8.71                     1480"},
{"Copper           1.771       0.00382          8.89        60,000           "},
{"Gold             2.44        0.0034          19.3         20,000       1063"},
{"Iron            10           0.005            7.8                      1530"},
{"Lead            22           0.0039          11.4          3,000        327"},
{"Magnesium        4.6         0.004            1.74        33,000        651"},
{"Mercury         95.783       0.0089          13.546            0        -38.9"},
{"Molybdenum       5.7         0.004            9.0                      2500"},
{"Nickel           7.8         0.006            8.9        120,000       1452"},
{"Palladium       11           0.0033          12.2         39,000       1550"},
{"Platinum        10           0.003           21.4         50,000       1755"},
{"Silver           1.59        0.0038          10.5         42,000        960"},
/* Page 2 */
{"Tantalum        15.5         0.0031          16.6                      2850"},
{"Tin             11.5         0.0042           7.3          4,000        232"},
{"Tungsten         5.6         0.0045          19          500,000       3400"},
{"Zinc             5.8         0.0037           7.1         10,000        419"},
{"EndOfData"}};


void do_conductors ( void )
{


  int key;
  int column;
  int item;
  
  item = 0;
  while(strcmp(conductors[item].line,"EndOfData") != 0) {
    conductors_label();
    for(column=6; column <= 21; column++) {
      if(strcmp(conductors[item].line,"EndOfData") != 0)
	mvaddstr(column,1,conductors[item++].line);
      else
	break;
    }

    if(listcommand() == 32)
      return;
    clear();
  }

  mvaddstr( 0,35, "References");
  mvaddstr( 3,0,"Handbook of Chemistry and Physics, 64th ed., Weast, Robert C. editor,");
  mvaddstr( 4,0, "  Astle, Melvin J. and Beyer, William H. associate editors, CRC Press Inc.");
  mvaddstr( 5,0, "  Boca Raton, Florida, 1983, page E78.");
  mvaddstr( 23, 16, "Press any key to Return to the Periodic Table");
  refresh();
  key = ttinp();
  return;

}

void conductors_label()
{
  clear();
  mvaddstr(0,27,"Some Properties of Metals");
  mvaddstr(2,1," Metal       Resistivity   Temperture       Specifc      Tensile      Melting");
  mvaddstr(3,1,"              microohm-    coefficent       gravity      strength      Point");
  mvaddstr(4,1,"             centimenters     20 C                       lbs./in.      deg C");
  return;
}
