/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/


#include <ctype.h>
#include <string.h>
#include <math.h>
#include "periodic.h"
#include "definitions.h"

#define titlepostfix ":="
#define space " "

void do_definitions ( void )
{


  struct tp {
    char subject[40];
    int y,x;
  } topics[300];
  int key;
  int t;
  int tbase;
  int y,x;
  int y1;
  int i;
  int tmax;
  int *ptr;
  char *cptr;
  char line[1024];
  size_t subject_length, def_length;
  char *len;
  int d;

  y = 3;
  x = 0;
  t = 0;
  d = 0;

  for(d = 0; strcmp( Definitions[d].line,"\0"); d++) {
    strcpy( line, Definitions[d].line );
    len = strstr(line,titlepostfix);
    if(len != 0) {
      *len = 0;
      strcpy(topics[t].subject,line);
      topics[t].y = y++;
      topics[t].x = x;
      t += 1;
      if((y%22==0) && (x == 0)) {
	topics[t].y = y;
	topics[t].x = x;
	strcpy(topics[t++].subject,"* Previous Page *");
	y = 3;
	x = 40;
      } else if((y%22==0) && (x == 40) ) {
	topics[t].y = y;
	topics[t].x = x;
	strcpy(topics[t++].subject,"* Next Page *");
	y = 3;
	x = 0;
      }
    }
  }

  /* There are now 38 topics per page + 2 Command buttons */
  topics[t].y = y;
  topics[t].x = x;
  strcpy(topics[t].subject,"* Previous Page *");
  tmax = t;
  mvaddstr(1,6,"Definitions Menu of the Electronic Periodic Table of the Elements");

  for(i = 0; i <= 39; i++) 
    mvaddstr(topics[i].y,topics[i].x,topics[i].subject);

  reverse(1);
  mvaddstr(23,0,"  For Definitions Use Carriage Return, Space Bar Returns to Periodic Table.  ");
  reverse(0);

  refresh();
  t = 0;
  tbase = 0;
 loop:
  bold(1);
  reverse(1);
  mvaddstr(topics[t].y,topics[t].x,topics[t].subject);
  refresh();
  key = ttinp();

 Do_Key:
  switch(key) {

  case 27:
    key = ttinp();
    key = ttinp();
    switch(key) {
    case 'A':     /* Up arrow */
      key = 'k';
      break;
    case 'B':     /* Down Arrow */
      key = 'j';  
      break;
    case 'C':     /* Right Arrow */
      key = 'l';
      break;
    case 'D':     /* Left Arrow */
      key = 'h';
      break;
    case '2':     /* Help button, do and func keys F9-F20 */
      key = ttinp();
      switch(key) {
      case '8':    /* Help key */
	key = '?';
	break;
      case '9':    /* Do key */
	key = 13;
	break;
      }
      i = ttinp();  /* extra character */
      break;
      
    default:
      key = 0;
    }
    goto Do_Key;
    break;

  Next_Page:

  case 'n':
  case 'N':
    if(((tbase+1)*40) <= tmax) {
      tbase += 1;
      t = tbase*40;
      bold(0);
      reverse(0);
      clear();
      refresh();
      mvaddstr(1,6,"Definitions Menu of the Electronic Periodic Table of the Elements");

      for (i = 0; i <= 39; i++) 
	mvaddstr(topics[t+i].y,topics[t+i].x,topics[t+i].subject);
      reverse(1);
      mvaddstr(23,0,"  For Definitions Use Carriage Return, Space Bar Returns to Periodic Table.  ");
      reverse(0);

      refresh();
    }
    break;

  Prev_Page:
  case 'p':
  case 'P':
    tbase -= 1;
    if(tbase >= 0) {
      t = tbase*40;
      bold(0);
      reverse(0);
      clear();
      refresh();
      mvaddstr(1,6,"Definitions Menu of the Electronic Periodic Table of the Elements");

      for (i = 0; i <= 39; i++) 
	mvaddstr(topics[t+i].y,topics[t+i].x,topics[t+i].subject);

      reverse(1);
      mvaddstr(23,0,"  For Definitions Use Carriage Return, Space Bar Returns to Periodic Table.  ");
      reverse(0);

      refresh();
    } else {
      tbase = 0;
      t = 0;
      bold(0);
      reverse(0);
      clear();
      mvaddstr(1,6,"Definitions Menu of the Electronic Periodic Table of the Elements");

      for (i = 0; i <= 40; i++) 
	mvaddstr(topics[t+i].y,topics[t+i].x,topics[t+i].subject);

      reverse(1);
      mvaddstr(23,0,"  For Definitions Use Carriage Return, Space Bar Returns to Periodic Table.  ");
      reverse(0);

      refresh();
    }
    break;


  case 'J':
  case 'j':
    bold(0);
    reverse(0);
    mvaddstr(topics[t].y,topics[t].x,topics[t].subject);
    if((topics[t].y != 22) && ((t+1) <= tmax) )
      t += 1;
    break;

  case 'k':
  case 'K':
    bold(0);
    reverse(0);
    mvaddstr(topics[t].y,topics[t].x,topics[t].subject);
    if(topics[t].y != 3)
      t -= 1;
    break;

  case 'h':
  case 'H':
    bold(0);
    reverse(0);
    mvaddstr(topics[t].y,topics[t].x,topics[t].subject);
    if(topics[t].x != 0)
      t -= 20;
    break;

  case 'l':
  case 'L':
    bold(0);
    reverse(0);
    mvaddstr(topics[t].y,topics[t].x,topics[t].subject);
    if((topics[t].x != 40) && ((t+20) <= tmax))
      t += 20;
    break;

  case 13: /* topic select */

    bold(0);
    reverse(0);
    clear();
    if(strcmp(topics[t].subject,"* Next Page *") == 0)
      goto Next_Page;
    if(strcmp(topics[t].subject,"* Previous Page *") == 0)
      goto Prev_Page;
    
    for(d=0; strcmp( Definitions[d].line,"\0") ; d++) {
      strcpy(line,Definitions[d].line);
      cptr = line;
      len = strstr(line,titlepostfix);
      def_length = 0;
      while(cptr != len) {
	def_length++;
	cptr++;
      }
      subject_length = strlen(topics[t].subject);
      if(subject_length = def_length) {
	if(strncmp(topics[t].subject,Definitions[d].line,subject_length)==0) {
	  y1 = 4;
	  mvaddstr(y1++,0,Definitions[d].line);
	  break;
	}
      }
    }
    mvaddstr(23,18,"Press Any Key to Return to Topics");
    refresh();
    key = ttinp();
    clear();
    mvaddstr(1,6,"Definitions Menu of the Electronic Periodic Table of the Elements");

    for (i = 0; i <= 39; i++) 
      mvaddstr(topics[(tbase*40)+i].y,topics[(tbase*40)+i].x,
	       topics[(tbase*40)+i].subject);
    reverse(1);
    mvaddstr(23,0,"  For Definitions Use Carriage Return, Space Bar Returns to Periodic Table.  ");
    reverse(0);

    break;


  default:
    bold(0);
    reverse(0);
    goto out;
    break;


    
  }
  goto loop;

 out:
  return;
}
