/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/


#include "periodic.h"
#include "info.h"

extern struct info elements[TotStructs];

void do_en ( void )
{

  int key, column, line, page;


  line = 1;

  for(page = 1; page <= 6; page++) {
    en_label();
    for(column=5; column <= 22; column++){
      mvaddstr(column,2,elements[line].SymbolEN);
      mvaddstr(column,22,elements[line].PaulingEN);
      mvaddstr(column,42,elements[line].SanderEN);
      mvaddstr(column,64,elements[line++].AllRocEN);
    }

    if(listcommand() == 32) 
      return;
    clear();
  }

  mvaddstr( 0,35, "References");
  mvaddstr( 3,0,"(a) Allred,A.L.,J. Inorg. Nucl. Chem., 1961, 17, 215 (Pauling)");
  mvaddstr( 5,0,"(b) Sanderson,T.R.,\"Inorganic Chemistry,\" Van Nostrand-Reinhold, NY, 1967,");
  mvaddstr( 6,4, "pp 72-76");
  mvaddstr( 8,0, "(c) Allred,A.L.,Rochow,E.G., J. Inorg. Nucl. Chem., 1958, 5, 264 or");
  mvaddstr( 9,4,"Little,E.J., Jones,M.M.,J. Chem. Educ., 1960, 37, 231.");
  mvaddstr(11,0,"(d) Allen, L.C., Huheey,J.E., J. Inorg. Nucl. Chem., 1980, 42, 1523");
  mvaddstr( 23, 16, "Press any key to Return to the Periodic Table");
  refresh();
  key = ttinp();
  return;
}

void en_label() 
{
  clear();
  mvaddstr(1,17,"Calculated Electronegativities of the Elements");
  mvaddstr(3,1,"Element            Pauling(a)         Sanderson(b)        Allred-Rochow(c)");
  return;
}
