/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/


#include "periodic.h"
#include "info.h"
#include "eseries.h"

/* extern struct info elements[TotStructs]; */


void do_eseries ( void )
{

  int column, line, page;
  int key;

  line = 1;

  for(page = 1; page <= 8; page++) {
    eseries_label();
    for(column=5; column <= 22; column++){
      mvaddstr(column,2,ESeries[line++].line);
    }
    
    if(listcommand() == 32) 
      return;
    clear();
  }

  mvaddstr( 0,35, "Refrences");
  mvaddstr( 3,0, "  Principals of Instrumental Analysis, 2nd ed., Skoog, Douglas A.,");
  mvaddstr( 4,0, "  West, Donald M.; Saunders College/Holt, Rinehart and Winston, Philadelphia,");
  mvaddstr( 5, 0,"  1980, pp. 746-748");
  mvaddstr( 7,0, "* Handbook of Chemistry and Physics, 64th ed., Weast, Robert C. editor,");
  mvaddstr( 8,0, "  Astle, Melvin J. and Beyer, William H. associate editors, CRC Press Inc.");
  mvaddstr( 9,0, "  Boca Raton, Florida, 1983, pp. D156 - D160.");
  mvaddstr( 23, 16, "Press any key to Return to the Periodic Table");
  refresh();
  key = ttinp();
  return;
}


void eseries_label()
{

  clear();
  mvaddstr(0,27,"The Electrochemical Series");
  mvaddstr(2,5,"Half Cell Reaction");
  mvaddstr(2,70,"Reduction");
  mvaddstr(3,70,"Potential");
  return;
}
