/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/


#include "periodic.h"
#include "symbols.h"

int Main_groups[][90] = {{0},
{Li,Be,Na,Mg,Al,K,Ca,Sc,Ti,V,Cr,Mn,Fe,Co,Ni,Cu,Zn,Ga,Ge,Rb,Sr,Y,Zr,Nb,
     Mo,Tc,Ru,Rh,Pd,Ag,Cd,In,Sn,Sb,Cs,Ba,La,Hf,Ta,W,Re,Os,Ir,Pt,Au,Hg,Tl,
     Pb,Bi,Po,Fr,Ce,Pr,Nd,Pm,Sm,Eu,Gd,Tb,Dy,Ho,Er,Tm,Yb,Lu,Ac,Th,Pa,U,Np,
     Pu,Am,Cm,Bk,Cf,Es,Fm,Md,No,Lr,Ra,Ac,Db,Jl,Rf,Bh,Hn,Mt,0},
{H,C,N,P,O,S,F,Cl,Br,I,At,He,Ne,Ar,Kr,Xe,Rn,0},
{B,Si,Ge,As,Se,Sb,Te,0},
{Li,Na,K,Rb,Cs,Fr,0},
{Ca,Sr,Ra,Ba,0},
{O,S,Se,Te,Po,0},
{F,Cl,Br,I,At,0},
{He,Ne,Ar,Kr,Xe,Rn,0},
{Sc,Ti,V,Cr,Mn,Fe,Co,Ni,Cu,Zn,Y,Zr,Nb,Mo,Tc,Ru,Rh,Pd,Ag,Cd,La,
      Hf,Ta,W,Re,Os,Ir,Pt,Au,Hg,Ac,Db,Jl,Rf,Bh,Hn,Mt,0},
{Ce,Pr,Nd,Pm,Sm,Eu,Gd,Tb,Dy,Ho,Er,Tm,Yb,Lu,0},
{Th,Pa,U,Np,Pu,Am,Cm, Bk,Cf,Es,Fm,Md,No,Lr,0},
{Sc,Y,La,Ce,Pr,Nd,Pm,Sm,Eu,Gd,Tb,Dy,Ho,Er,Tm,Yb,Lu,0},
{Ru,Rh,Pd,Os,Ir,Pt,0},
{Np,Pu,Am,Cm,Bk,Cf,Es,Fm,Md,No,Lr,0},
{Li,Na,K ,Rb,Cs,Fr,0},
{Be,Mg,Ca,Sr,Ba,Ra,0},
{B ,Al,Ga,In,Tl,0 },
{C ,Si,Ge,Sn,Pb,0 },
{N ,P ,As,Sb,Bi, 0},
{O ,S ,Se,Te,Po, 0},
{F ,Cl,Br,I ,At, 0},
{He,Ne,Ar,Kr,Xe,Rn,0},
{Sc,Y,La,Ac,0},
{Ti,Zr,Hf,0},
{V,Nb,Ta,0},
{Cr,Mo,W,0},
{Mn,Tc,Re,0},
{Fe,Co,Ni,Ru,Rh,Pd,Os,Ir,Pt,0},
{Cu,Ag,Au,0},
{Zn,Cd,Hg,0},
{H,He,0},
{Li,Be,B,C,N,O,F,Ne,0},
{Na,Mg,Al,Si,P,S,Cl,Ar,0},
{K,Ca,Sc,Ti,V,Cr,Mn,Fe,Co,Ni,Cu,Zn,Ga,Ge,As,Se,Br,Kr,0},
{Rb,Sr,Y,Zr,Nb,Mo,Tc,Ru,Rh,Pd,Ag,Cd,In,Sn,Sb,Te,I,Xe,0},
{Cs,Ba,La,Ce,Pr,Nd,Pm,Sm,Eu,Gd,Tb,Dy,Ho,Er,Tm,Yb,Lu,Hf,Ta,W,
      Re,Os,Ir,Pt,Au,Hg,Tl,Pb,Bi,Po,At,Rn,0},
{Fr,Ra,Ac,Th,Pa,U,Np,Pu,Am,Cm,Bk,Cf,Es,Fm,Md,No,Lr,Db,Jl,Rf,Bh,Hn,Mt,0},
{0}};

struct GN {
  char *line;
} Group_name[] = {{""},
{"         Metals         "},
{"       Non-metals       "},
{"Semi-conducting elements"},
{"     Alkali Metals      "},
{" Alkaline Earths metals "},
{"      Chalkogens        "},
{"       Halogens         "},
{"      Inert Gases       "},
{"   Transition Metals    "},
{"      Lanthanides       "},
{"       Actinides        "},
{"   Rare Earth Metals    "},
{"    Platinum Group      "},
{"     Transuranics       "},
{"     Lithium Group      "},
{"    Beryllium Group     "},
{"       Boron Group      "},
{"      Carbon Group      "},
{"     Nitrogen Group     "},
{"      Oxygen Group      "},
{"     Fluorine Group     "},
{"      Helium Group      "},
{"     Scandium Group     "},
{"     Titanium Group     "},
{"     Vanadium Group     "},
{"     Chromium Group     "},
{"    Manganese Group     "},
{"       Iron Group       "},
{"      Copper Group      "},
{"       Zinc Group       "},
{"       1st Period       "},
{"       2nd Period       "},
{"       3rd Period       "},
{"       4th Period       "},
{"       5th Period       "},
{"       6th Period       "},
{"       7th Period       "},
{" "}};


void do_groups ( void ) 
{


  int key;
  int i, v;
  int count;


  count = 1;

 SelectGroup:
  reverse(1);
  for(i=0;Main_groups[count][i] != 0; i++) 
    draw_blocks(Main_groups[count][i]);
  mvaddstr(8,20,Group_name[count].line);
  key = listcommand();
  reverse(0);
  for(i=0;Main_groups[count][i] != 0; i++) 
    draw_blocks(Main_groups[count][i]);
  mvaddstr(8,20,"                                "); /* blank */
  refresh();
 dokey:
  switch(key) {
    
  case 27:
    key = ttinp();
    key = ttinp();
    switch(key) {
    case 'A':     /* Up arrow */
      key = 'k';
      break;
    case 'B':     /* Down Arrow */
      key = 'j';  
      break;
    case 'C':     /* Right Arrow */
      key = 'l';
      break;
    case 'D':     /* Left Arrow */
      key = 'h';
      break;
    case '2':     /* Help button, do and func keys F9-F20 */
      key = ttinp();
      switch(key) {
      case '8':    /* Help key */
	key = '?';
	break;
      case '9':    /* Do key */
	key = 'i';
	break;
      }
      i = ttinp();  /* extra character */
      break;
      
    default:
      key = 0;
    }
    goto dokey;
    break;
  
  case 'H':
  case 'h':
    count--;
    if(count == 0) {
      i = 1;
      while(Main_groups[i][0] != 0)
	i++;
      count = --i;
    }
    break;

  case 'J':
  case 'j':
    count-=2;
    if(count <= 0) {
      i = 1;
      while(Main_groups[i][0] != 0)
	i++;
      i--;
      count += i;
    }
    break;

  case 'K':
  case 'k':
    count +=2;
    i = 1;
    while(Main_groups[i][0] != 0)
      i++;
    --i;
    if(count > i)
      count -= i;
    break;
    
    
  case ' ':
    for(i=0;Main_groups[count][i] != 0; i++) 
      draw_blocks(Main_groups[count][i]);
    mvaddstr(8,20,"                                "); /* blank */
    refresh();
    return;
    break;
    
  case 'L':
  case 'l':
  default:
    count++;
    if(Main_groups[count][0] == 0)
      count = 1;
    break;
  }
  goto SelectGroup;

}

