/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/

#include "periodic.h"
#include "info.h"

extern struct info elements[TotStructs];


void do_information (int element)
{

  int i;
  int key;
  int savex,savey;

 getkey:
  clear();

  move(1,32);
  printw("%s\n",elements[element].Name);

  printw("Atomic Symbol :    %s\n", elements[element].Symbol);
  printw("Atomic Number :    %d\n",elements[element].Number);
  printw("Melting Point : %s C \n",elements[element].Meltingpt);
  printw("Boiling Point : %s C \n",elements[element].Boilingpt);
  printw("Covalent Rad. : %s Ang.\n",elements[element].Covalent_radius);
  printw("Cryst. Struct.: %s\n",elements[element].crystr);

  move(2,40);

  printw("Atomic Weight    : %s a.m.u.\n",elements[element].AtmWeight);

  move(3,40);
  printw("Natural State    : %s\n", elements[element].State);

  move(4,40);
  printw("Density          : %s Kg/l",elements[element].Density);

  move(5,40);
  printw("Ionization Energy: %s Volts",elements[element].IonizationE);

  move(6,40);
  printw("Specific Heat    : %s",elements[element].SpecHeat);
  printw(" cal/gm K");

  move(7,40);
  printw("Nat. Rel. Abund. : %f",elements[element].Abundance);

  move(8,1);
  printw("Electron Configuration:");

  move(9,1);
  printw("%s",elements[element].e_config);

  move (11,1);
  if(elements[element].Isotopes > 1) {
    printw("There are %d naturally occuring isotopes:\n",
	   elements[element].Isotopes);
  } else if(elements[element].Isotopes == 1) {
    printw("There is 1 naturally occuring isotope:\n");
  } else {
    printw("There are no naturally occuring isotopes.\n");
  }

  if(elements[element].Isotopes >= 1) {
    for(i=0; i < elements[element].Isotopes; i++) {
      printw( "%s percent of isotope mass: %s  (a.m.u)\n",
	     elements[element].MassPerc[i],
	     elements[element].Masswt[i]);
    }
  }
  
  if(elements[element].OxidNrs > 1) {
    printw("\n%s has %d common oxidation states:",elements[element].Name,
	   elements[element].OxidNrs);
  } else if (elements[element].OxidNrs == 1) {
    printw("\n%s has 1 common oxidation state: ",elements[element].Name);
  }
  for(i=0; i < elements[element].OxidNrs; i++) {
    printw(" %+d",elements[element].Oxidstate[i]);
    if(i == (elements[element].OxidNrs-1)) {
      addstr(".\n\n");
    } else {
      addstr(",");
    }
  }
  refresh();

  key = ttinp();

  element = table_key(key);

  if(element == 0) {
    clear();
    draw_table();
    return;
  }
  goto getkey;
}

