/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/


#include <string.h>
#include "periodic.h"
#include "ions.h"


void do_ions ( void )
{

  int p_item, n_item;
  int page, column;
  int key;
    

  p_item = n_item = 0;
  for(page = 1; page <=2; page++) {
    ions_label();
    for(column=5; column <= 21; column++) {
      if((p_item >= 0) && (strcmp(Positive[p_item].Name,"000000") != 0)) {
	mvaddstr(column,1,Positive[p_item].Name);
	mvaddstr(column,26,Positive[p_item].Elements);
	move(column,36);
	printw("%d+",Positive[p_item++].Charge);
      } else {
	p_item = -1;
      }
      if((n_item >= 0) && (strcmp(Negative[n_item].Name,"000000") != 0)) {
	mvaddstr(column,41,Negative[n_item].Name);
	mvaddstr(column,66,Negative[n_item].Elements);
	move(column,76);
	printw("%d-",Negative[n_item++].Charge);
      } else {
	n_item = -1;
      }
    }
  
    if(listcommand() == 32)
      return;
    clear();
  }
  return;
}


void ions_label() 
{

  clear();
  mvaddstr(1,28,"Common Ions of Chemistry");
  mvaddstr(2,9,"Postitive Cations");
  mvaddstr(2,50,"Negative Cations");
  mvaddstr(3,2, "Name");
  mvaddstr(3,26,"Ion");
  mvaddstr(3,33,"Charge");
  mvaddstr(3,42,"Name");
  mvaddstr(3,66,"Ion");
  mvaddstr(3,73,"Charge");
  return;
}
