/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/

#include <ctype.h>
#include <string.h>
#include "periodic.h"
#include "minerals.h"

void do_minerals()
{

  char *ptr, charge[3];
  int token;
  int item, column, row;
  int i, key;

  clear();
  item = 0;
  while(strcmp(Minerals[item].Name,"EndOfList") != 0) {
    column = 4;
    minerals_label();
    while(column <= 21) {
      if(strcmp(Minerals[item].Name,"EndOfList") == 0)
	break;
      if( (ptr = strchr(Minerals[item].Formula,'+')) != 0)
	column++;
      if(column > 20)
	  break;
      row = 20;
      mvaddstr(column,0,Minerals[item].Name);
      mvaddch(column+1,0,'(');
      addstr(Minerals[item].Crystaline);
      addch(')');
      ptr = Minerals[item].Formula; 
      while (strlen(ptr) != 0) {
	token = *ptr;
	if(token == 0) {
	  break;
	} else if(isspace(token)) {
	  mvaddch(column,row++,token);
	  ++ptr;
	  token = *ptr++;
	  while(isdigit(token) || (token == '-') || (token == '.')) {
	    mvaddch(column,row++,token);
	    token = *ptr++;
	  }
	  ptr--;
	} else if((isalpha(token) || strchr("[](),",token) != 0)) {
	  mvaddch(column,row++,token);
	  ptr++;
	} else if (isdigit(token) || (strchr(".-",token) != 0)) {
	  mvaddch(column+1,row++,token);
	  ptr++;
	} else if (token = '+') { 
	  mvaddch(column-1,row-1,token);
	  ptr++;
	  token = *ptr;
	  mvaddch(column-1,row,token);
	  ptr++;
	  token = *ptr;
	  if(!isdigit(token))
	    mvaddch(column,row++,' ');
	} 
      }
      if(strstr(Minerals[item].Formula,"[0-9]") != 0)
	column += 3;
      else
	column += 2;
      item++;
    }
    if(listcommand() == 32)
      return;
    clear();
  }

  mvaddstr( 0,35, "Reference");
  mvaddstr( 3,0,"Taken from ``Physical Constants of Minerals'', Compiled by Ralph Kretz in:");
  mvaddstr( 5,0,"Handbook of Chemistry and Physics, 64th ed., Weast, Robert C. editor,");
  mvaddstr( 6,0, "  Astle, Melvin J. and Beyer, William H. associate editors, CRC Press Inc.");
  mvaddstr( 7,0, "  Boca Raton, Florida, 1983, page B194-B199.");
  mvaddstr( 23, 16, "Press any key to Return to the Periodic Table");
  refresh();
  key = ttinp();
  return;
}

void minerals_label()
{
  clear();
  mvaddstr(0,29,"Minerals With Formulas");
  mvaddstr(1,0,"Mineral Name");
  mvaddstr(2,0,"(Crystalline Form)");
  mvaddstr(1,20,"Formula");
  return; 
}

