/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/


#include <string.h>
#include "periodic.h"

struct NOB {
  char *line;
} Nobel[] = {
    {"1901 J.H. van't Hoff (Berlin): discovery of the laws of chemical dynamics"},
    {"and osmotic pressure in solutions."},
    {" "},
    {"1902 E. Fischer (Berlin): sugar and purine synthesis."},
    {" "},
    {"1903 S. Arrhenius (Stockholm): electrolytic theory of dissociation."},
    {" "},
    {"1904 W. Ramsey (University College, London): discovery of the inert gaseous"},
    {"elements in air and their place in the periodic system."},
    {" "},
    {"{1905 A. von Baeyer (Munich): advancement of organic chemistry and the chemical"},
    {"industry through work on organic dyes and hydroaromatic compounds."},
    {" "},
    {"1906 H. Moissan (Paris): isolation of the element fluorine and developmento of"},
    {"of the electric furnace."},
    {" "},
    {"1907 E. Buchner (Berlin): biochemical researches and the discovery of cell-"},
    {"free fermentation."},
    {" "},
    {"1908 E. Rutherford (Manchester): investigations into the disintegration of"},
    {"the elements and the chemistry of radioactive elements."},
/* Page 2 */
    {"1909 W. Ostwald (Gross-Bothen): work on catalysis and investigations into"},
    {"the fundamental principles governing chemical equilibria and rates of reaction"},
    {" "},
    {"1910 O. Wallach (Gottingen): pioneer work in the field of acyclic compounds."},
    {" "},
    {"1911 Marie Curie (Paris): discovery of the elements radium and polonium,"},
    {"the isolation of radium, and the study of the nature and compounds of this"},
    {"remarkable element."},
    {" "},
    {"1912 V. Grignard (Nancy): discovery of the Grignard reagent."},
    {"     P. Sabatier (Toulouse): method of hydrogenating organic compounds in "},
    {"     presense of finely disintegrated metals."},
    {" "},
    {"1913 A. Werner (Zurich): work on the linkage of atoms in molecules which has"},
    {"thrown new light on earlier investigations and opened up new fields of "},
    {"research especially in inorganic chemistry."},
    {" "},
    {"1914 T.W. Richards (Harvard): accurate determination of the atomic weight"},
    {"of a large number of chemical elements."},
    {" "},
    {"1915 R. Willstatter (Munich): plant pigments, especially chlorophyll."},
/* Page 3 */
    {"1916 Not awarded."},
    {" "},
    {"1917 Not awarded."},
    {" "},
    {"1918 F. Haber (Berlin-Dahlem): the synthesis of ammonia from its elements."},
    {" "},
    {"1919 Not awarded."},
    {" "},
    {"1920 W. Nernst (Berlin): work in thermochemistry."},
    {" "},
    {"1921 F. Soddy (Oxford): contributions to knowledge of the chemistry of"},
    {"radioactive substances and investigations into the origin and nature of"},
    {"isotopes."},
    {" "},
    {"1922 F.W. Aston (Cambridge): discovery, by means of the mass spectrograph,"},
    {"of isotopes in a large number of non-radioactive elements and for enunciation"},
    {"of the whole-number rule."},
    {" "},
    {"1923 F. Pregel (Graz): invention of the method of microanalysis of organic"},
    {"substances."},
    {" "},
/* Page 4 */
    {"1924 Not awarded"},
    {" "},
    {"1925 R. Zsigmondy (Gottingen): demonstration of the heterogeneous nature of"},
    {"colloid solutions by methods which have since become fundamental in modern"},
    {"colloid chemistry."},
    {" "},
    {"1926 T. Svedberg (Uppsala): work on disperse systems."},
    {" "},
    {"1927 H. Wieland (Munich): constitution of bile acids and related substances."},
    {" "},
    {"1928 A. Windaus (Gottingen): constitution of the sterols and their connection"},
    {"with the vitamins."},
    {" "},
    {"1929 A. Harden (London): and H. von Euler-Chelpin (Stockholm): investigations"},
    {"on the fermentation of sugars and fermentative enzymes."},
    {" "},
    {"1930 H. Fischer (Munich): the constitution of haemin and chlorophyll and "},
    {"especially for the synthesis of haemin."},
    {" "},
    {"1931 C. Bosch and F. Bergius (Heidelberg): the invention and development of"},
    {"chemical high pressure methods."},
/* Page 5 */
    {"1932 I. Langmuir (Schenectady, New York): discoveries and investigations in"},
    {"surface chemistry."},
    {" "},
    {"1933 Not awarded"},
    {" "},
    {"1934 H.C. Urey (Columbia, New York): discovery of heavy hydrogen."},
    {" "},
    {"1935 F. Joliot and Irene Joliot-Curie (Paris): synthesis of new radioactive"},
    {"elements."},
    {" "},
    {"1936 P. Debye (Berlin-Dahlem): contributions to knowledge of molecular"},
    {"structure through investigations on dipole moments and on the diffraction"},
    {"of X-rays and electrons in gases."},
    {" "},
    {"1937 W.N. Haworth (Birmingham): investigations on carbohydrates and vitamin"},
    {"C."},
    {" "},
    {"1938 R. Kuhn (Heidelberg): work on caroteniods, flavins, and vitamins A and"},
    {"B2."},
    {" "},
    {"1939 A.F.J. Butenandt (Berlin): work on sex hormones."},
    {" "},
/* Page 6 */
    {"1940 Not awarded"},
    {" "},
    {"1941 Not awarded"},
    {" "},
    {"1942 Not awarded"},
    {" "},
    {"1943 G. Hevesy (Stockholm): use of isotopes as tracers in the study of "},
    {"chemical processes."},
    {" "},
    {"1944 O. Hahn (Berlin-Dahlem): discovery of the fission of heavy nuclui."},
    {" "},
    {"1945 A.J. Virtanen (Helsingfors): research and inventions in agricultural"},
    {"and nutrition chemistry, especially fodder preservation."},
    {" "},
    {"1946 J.B. Sumner (Cornell): discovery that enzymes can be crystallized."},
    {"     J.H. Northrop and W.M. Stanley (Princeton): preparation of enzymes and"},
    {"     virus proteins in a pure form."},
    {" "},
    {"1947 R. Robinson (Oxford): investigations on plant products of biological"},
    {"importance, esspecially the alkaloids."},
    {" "},
/* Page 7 */
    {"1948 A.W.K. Tiselius (Uppsala): electrophoresis and adsorption analysis,"},
    {"especially for discoveries concerning the complex nature of the serum"},
    {"protiens."},
    {" "},
    {"1949 W.F. Giaugue (Berkeley): contributions in the field of chemical"},
    {"thermodynamics, particularly concerning the behavior of substances at"},
    {"extremely low temperatures."},
    {" "},
    {"1950 O. Diels (Kiel) and K. Alder (Cologne): discovery and development of"},
    {"the diene synthesis."},
    {" "},
    {"1951 E.M. McMillan and G.T. Seaborg (Berkeley): discoveries in the chemistry"},
    {"of the transuranium elements."},
    {" "},
    {"1952 A.J.P. Martin (London) and R.L.M. Synge (Bucksburn): invention of"},
    {"partition chromatography."},
    {" "},
    {"1953 H. Staudinger (Freiburg): discoveries in the field of macromolecular"},
    {"chemistry."},
    {" "},
    {" "},
/* Page 8 */
    {"1954 L. Pauling (California Institute of Technology, Pasadena): research"},
    {"into the nature of the chemical bond and its application to the elucidation"},
    {"of the structure of complex substances."},
    {" "},
    {"1955 V. du Vigneaud (New York): biochemically important sulfur compounds,"},
    {"especially the first synthesis of a polypeptide hormone."},
    {" "},
    {"1956 C.N. Hinshelwood (Oxford) and N.N. Semenov (Moscow): the mechanism of"},
    {"chemical reactions."},
    {" "},
    {"1957 A. Todd (Cambridge): nucleotides and nucleotide co-enzymes."},
    {" "},
    {"1958 F. Sanger (Cambridge): the structure of protiens, especially that of"},
    {"insulin."},
    {" "},
    {"1959 J. Heyrovsky (Prague): discovery and development of the polarographic"},
    {"method of analysis."},
    {" "},
    {"1960 W.F. Libby (Los Angeles): use of carbon-14 for age determination in "},
    {"archeology, geology, geophysics, and other branches of science."},
    {" "},
/* Page 9 */
    {"1961 M. Calvin (Berkeley): research on carbon dioxide assimilation in plants."},
    {" "},
    {"1962 J.C. Kendrew and M.F. Perutz (Cambridge): the structures of globular"},
    {"protiens."},
    {" "},
    {"1963 K. Ziegler (Mulheim/Ruhr): and G. Natta (Milan): the chemistry and"},
    {"technology of high polymers."},
    {" "},
    {"1964 Dorothy Crowfoot Hodgkin (Oxford): determinations by X-ray techniques"},
    {"of the structures of important biochemical substances."},
    {" "},
    {"1965 R.B. Woodward (Harvard): outstanding achievements in the art of organic"},
    {"synthesis."},
    {" "},
    {"1966 R.S. Mulliken (Chicago): fundamental work concerning chemical bonds and"},
    {"the electronic structure of molecules by the molecular orbital method."},
    {" "},
    {"1967 M. Eigen (Gottingen), R.G.W. Norrish (Cambridge), and G. Porter (London):"},
    {"studies of extremely fast chemical reactions, effected by disturbing the "},
    {"equillibrium by means of very short pulses of energy."},
    {" "},
/* Page 10 */
    {"1968 L. Onsager (Yale): discovery of the reciprocity relations bearing his"},
    {"name, which are fundamental for the thermodynamics of irreversible processes."},
    {" "},
    {"1969 D.H.R. Barton (Imperial College, London) and O. Hassel (Oslo):"},
    {"development of the concept of conformation and its application in chemistry."},
    {" "},
    {"1970 L.F. Leloir (Beunos Aires): discovery of surgar nucleotides and their "},
    {"role in the biosynthesis of carbohydrates."},
    {" "},
    {"1971 G. Herzberg (Ottawa): contributions to the knowledge of electronic"},
    {"structure and geometry of molecules, particularly free radicals."},
    {" "},
    {"1972 C.B. Anfinsen (Bethesda): work on ribonuclease, especially concerning"},
    {"the connection between the amino-acid sequence and the biologically active"},
    {"conformation."},
    {" "},
    {"1973 E.O. Fischer (Munich) and G. Wilkinson (Imperial College, London):"},
    {"pioneering work, performed independently, on the chemistry of the organo-"},
    {"metallic so-called sandwich compounds."},
    {" "},
    {" "},
/* Page 11 */
    {"1974 P.J. Flory (Standford): fundamental achievements both theoretical and"},
    {"experimental in the physical chemistry of macromolecules."},
    {" "},
    {"1975 J.W. Cornforth (Sussex): stereochemistry of enzyme-catalyzed reactions."},
    {"     V. Prelog (Zurich): the stereochemistry of organic molecules and "},
    {"     reactions."},
    {" "},
    {"1976 W.N. Lipscomb (Harvard): studies on the structure of boranes illuminating"},
    {"problems of chemical bonding."},
    {" "},
    {"1977 I. Prigogine (Brussels): non-equilibrium thermodynamics, particularly"},
    {"the theory of dissipative structures."},
    {" "},
    {"1978 P. Mitchell (Bodmin, Cornwall): contributions to the understanding of"},
    {"biological energy transfer through the formulation of the chemiosmotic theory."},
    {" "},
    {"1979 H.C. Brown (Purdue) and G. Wittig (Heidelberg): for their development of"},
    {"boron and phosphorus compounds, respectively, into important reagents in"},
    {"organic synthesis."},
    {" "},
    {" "},
/* Page 12 */
    {"1980 P. Berg (Standford): the biochemistry of nucleic acids, with particular"},
    {"regard to recombinant DNA."},
    {" "},
    {"1981 K. Fukui (Kyoto): and R. Hoffmann (Cornell): quantum mechanical studies"},
    {"of chemical reactivity."},
    {" "},
    {"1982 A. Klug (Cambridge): development of crystallographic electron microscopy"},
    {"and the structural elucidation of biologically important nucleic acid-protien"},
    {"complexes."},
    {" "},
    {"1983 H. Taube (Standford): mechanisms of electron transfer reactions of metal"},
    {"complexes."},
    {" "},
    {"1984 R.B. Merrifield (Rockefeller, New York): solid-phase synthesis of"},
    {"peptides."},
    {" "},
    {"1985 H.A. Hauptman (Buffalo, New York) and J. Karle (Washington,D.C.): "},
    {"the developement of direct methods for the determination of crystal"},
    {"structures."},
    {""},
    {"1986 D.R. Herschbach (Harvard), Y.T. Lee (Berkeley) , and J.C. Polany "},
    {"(Manchester) : providing a much more detailed understanding of how chemical"},
    {"reactions work."},
    {""},
    {"1987 D.J. Cram (Los Angeles), J.M. Lehn (Strasbourg), C.J. Pedersen "},
    {"(New Jersey) : for developement and use of molecules with structure-specific"},
    {"interactions of high selectivity."},
    {""},
    {"1988 H. Michel (Frankfurt), J. Deisenhofer (Frankfurt) ,and R. Hube (Max "},
    {" Plank Inst.): crystallization and structure determination of a membrane "},
    {"protien."},
    {""},
    {"1989 S. Altman(Yale) and T.R. Cech (Colorado) : Discoveries about the"},
    {"active role of RNA in chemical cell reactions."},
    {""},
    {"1990 E.J. Corey (Harvard): Development of the theory and methodology of"},
    {"organic synthesis."},
    {""},
    {"1991 R.R. Ernst (Zurich): for his contribution to the development of the"},
    {"methodology of the high-resolution nuclear magnetic resonnance (NMR)"},
    {"spectrometer."},
    {""},
    {"1992 R.A. Marcus (Caltech): his contribution to the theory of electron-"},
    {"transfer reactions in chemical synthesis."},
    {""},
    {"1993 K. Mullis (California) and M. Smith (Canada, B.C.): work on site"},
    {"directed mutagenesis."},
    {""},
    {"1994 G.A. Olah (Los Angles): work on carbocations."},
    {"EndOfList"}};

    

void do_nobel ( void )
{

  int key;
  int line, column;


  line = 0;
  while(strcmp(Nobel[line].line,"EndOfList") != 0) {
    nobel_label();
    for(column=2; column <= 22; column++)
      if(strcmp(Nobel[line].line,"EndOfList") != 0)
	mvaddstr(column,0,Nobel[line++].line);
      else
	break;
    
    if(listcommand() == 32)
      return;
    clear();
  }
  
  mvaddstr( 0,35, "Refrences");
  mvaddstr(2,5,"Chemistry of the Elements, Greenwood, N.N.; Earnshaw, A.;");
  mvaddstr(3,5,"Pergamon Press, Elmsford, New York, 1984, pages  1498-1501.");
  mvaddstr(5,5,"Nobel Laureates in Chemistry, 1901-1992., author, ");
  mvaddstr(6,5,"American Chemical Society, Washington, D.C. 1993.");
  mvaddstr( 23, 16, "Press any key to Return to the Periodic Table");
  refresh();
  key = ttinp();
  return;
}
    
  

void nobel_label ( void )
{

  clear();
  mvaddstr(0,27,"Nobel Prizes in Chemistry");
  return;
}


