/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/


#include "periodic.h"
#include "info.h"

extern struct info elements[TotStructs];


void do_radii (int element)
{

  int i, j;
  int key;

 getkey:
  clear();

  move(1,20);
  printw(       "Effective Ionic Radii of the Elements");
  move(2,13);
  printw("R.D. Shannon, Acta Crystallogr., A32, 751 (1976)");
  move(4,30);
  printw("%s",elements[element].Name);
  move(6,10);
  if(elements[element].Ionradnrs != 0) {
    printw("Ionic state    Coordination Number    Ionic radius\n");
    j = 7;
    for(i = 0; i < elements[element].Ionradnrs; i++) {
      move(j, 10);
      j++;
      printw("   %+d                %d                  %s %s\n",
	     elements[element].Oxidstd[i],
	     elements[element].Coordnumber[i],
	     elements[element].Ionicrad[i], " Ang.");
    }
  }
  refresh();

  key = ttinp();
  element = table_key(key);

  if(element == 0) {
    clear();
    draw_table();
    return;
  }
  goto getkey;
}

