/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/


/*

file: eseries.h

"Principals of Instrumental Analysis" Skoog, Douglas A., West, Donald M.;
Saunders College/Holt, Rinehart and Winston, Philadelphia, 1980, 
pages 746-748 ISBN 0-03-021161-1.

* "Handbook of Chemistry and Physics, 64th ed.", Weast, Robert C. editor,
Astle, Melvin J. and Beyer, William H. associate editors, CRC Press Inc.
Boca Raton, Florida, 1983, pages D-156-D-160.
*/



struct ES {
  char *line;
} ESeries[] = {
{"Ag(+) + e <=> Ag(s)                                                 +0.799"},
{"AgBr(s) + e <=> Ag(s) + Br(-)                                       +0.073"},
{"AgCl(s) + e <=> Ag(s) + Cl(-)                                       +0.222"},
{"Ag(CN)2(-) + e <=> Ag(s) + 2CN(-)                                   -0.31"},
{"Ag2CrO4(s) + 2e <=> 2Ag(s) + CrO4(2-)                               +0.446"},
{"AgI(s) + e <=> Ag(s) + I(-)                                         -0.151"},
{"Ag(S2O3)2(3-) + e <=> Ag(s) + 2S2O3(2-)                             +0.01"},
{"Al(3+) + 3e <=> Al(s)                                               -1.66"},
{"As + 3H(+) + 3e <=> AsH3                                            -0.608  *"},
{"H3AsO4 + 2H(+) + 2e <=> H3AsO3 + H2O                                +0.559"},
{"Au(+) + e <=> Au(s)                                                 +1.692  *"},
{"Au(3+) + 2e <=> Au(+)                                               +1.401  *"},
{"Au(3+) + 3e <=> Au(s)                                               +1.498  *"},
{"Ba(2+) + 2e <=> Ba(s)                                               -2.90"},
{"Be(2+) + 2e <=> Be(s)                                               -1.847  *"},
{"BiO(+) + 2H(+) + 3e <=> Bi(s) + H2O                                 +0.32"},
{"BiCl4(-) + 3e <=> Bi(s) + 4Cl(-)                                    +0.16"},
{"H2BO3(-) + H2O + 3e <=> B + 4OH(-)                                  -1.79   *"},
{"H3BO3(-) + 3H(+) + 3e <=> B + 3H2O                                  -0.8698 *"},
{"Br2(l) + 2e <=> 2Br(-)                                              +1.065"},
{"Br2(aq) + 2e <=> 2Br(-)                                             +1.087"},
{"BrO3(-) + 6H(+) +  5e <=> 1/2Br2(l) + 3H2O                          +1.52"},
{"Ca(1+) + e <=> Ca(s)                                                -3.80   *"},
{"Ca(2+) + 2e <=> Ca(s)                                               -2.87"},
{"C6H4O2(g) + 2H(+) + 2e <=> H2C2(OH)2                                -0.699"},
{"Ce(3+) + 3e <=> Ce                                                  -2.483  *"},
{"Ce(3+) + 3e <=> Ce(Hg)                                              -1.47373 *"},
{"2CO2(g) + 2H(+) + 2e <=> H2C2O4                                     -0.49"},
{"Cd(2+) + 2e <=> Cd(s)                                               -0.403"},
{"Cd(2+) + 2e <=> Cd(Hg)                                              -0.3521 *"},
{"Cl2(g) + 2e <=> 2Cl(-)                                              +1.359"},
{"HClO + H(+) + e <=> 1/2Cl2(g) + H2O                                 +1.63"},
{"ClO3(-) + 6H(+) + 5e <=> 1/2Cl2(g) + 3H2O                           +1.47"},
{"Co(2+) + 2e <=> Co(s)                                               -0.277"},
{"Co(3+) + e <=> Co(2+)                                               +1.842"},
{"Cr(3+) + e <=> Cr(2+)                                               -0.41"},
{"Cr(3+) + 3e <=> Cr(s)                                               -0.74"},
{"Cr2O7(2-) + 14H(+) + 6e <=> 2Cr(3+) + 7H2O                          +1.33"},
{"Cs(+) + e <=> Cs                                                    -2.92   *"},
{"Cu(2+) + 2e <=> Cu(s)                                               +0.337"},
{"Cu(2+) + e <=> Cu(+)                                                +0.153"},
{"Cu(+) + e <=> Cu(s)                                                 +0.521"},
{"Cu(2+) + I(-) + e <=> CuI(s)                                        +0.86"},
{"CuI(s) + e <=> Cu(s) + I(-)                                         -0.185"},
{"Eu(2+) + 2e <=> Eu(s)                                               -3.395  *"},
{"F2 + 2e <=> 2 F(-)                                                  +2.866  *"},
{"F2(g) + 2H(+) + 2e <=> 2HF(aq)                                      +3.06"},
{"Fe(2+) + 2e <=> Fe(s)                                               -0.440"},
{"Fe(3+) + e <=> Fe(2+)                                               +0.771"},
{"Fe(CN)6(3-) + e <=> Fe(CN)6(4-)                                     +0.36"},
{"Ga(3+) + 2e <=> Ga(s)                                               -0.560  *"},
{"Ge(2+) + 2e <=> Ge(s)                                               +0.24   *"},
{"Ge(4+) + 4e <=> Ge(s)                                               +1.24   *"},
{"2H(+) + 2e <=> H2(g)                                                 0.000"},
{"HO2 + H(+) + e <=> H2O2                                             +1.495  *"},
{"Hg2(2+) + 2e <=> 2Hg(l)                                             +0.789"},
{"2Hg(2+) + 2e <=> Hg2(2+)                                            +0.920"},
{"Hg(2+) + 2e <=> Hg(l)                                               +0.854"},
{"Hg2Cl2(s) + 2e <=> 2Hg(l) + 2Cl(-)                                  +0.268"},
{"Hg2SO4(s) + 2e <=> 2Hg(l) + SO4(2-)                                 +0.615"},
{"HO2(-) + H2O + 2e <=> 3OH(-)                                        +0.88"},
{"I2(s) + 2e <=> 2I(-)                                                +0.5355"},
{"I2(aq) + 2e <=> 2I(-)                                               +0.620"},
{"I3(-) + 2e <=> 3I(-)                                                +0.536"},
{"ICl2(-) + e <=> 1/2I2(s) + 2Cl(-)                                   +1.06"},
{"IO3(-) + 6H(+) + 5e <=> 1/2I2(s) + 3H2O                             +1.195"},
{"IO3(-) + 6H(+) + 5e <=> 1/2I2(aq) + 3H2O                            +1.178"},
{"IO3(-) + 2Cl(-) 6H(+) + 4e <=> IO3(-) + 3H2O                        +1.24"},
{"H5IO6 + H(+) + 2e <=> IO3(-) + 3H2O                                 +1.60"},
{"In(+) + e <=> In                                                    -0.14   *"},
{"Ir(3+) + 3e <=> Ir                                                  +1.156  *"},
{"K(+) + e <=> K(s)                                                   -2.925"},
{"Li(+) + e <=> Li(s)                                                 -3.045"},
{"Mg(2+) + 2e <=> Mg(s)                                               -2.37"},
{"Mg(OH)2 + 2e <=> Mg + 2OH(-)                                        -1.56   *"},
{"Mn(2+) + 2e <=> Mn(s)                                               -1.18"},
{"MnO2(s) + 4H(+) + 2e <=> Mn(2+) + 2H2O                              +1.23"},
{"MnO4(-) + 8H(+) + 5e <=> Mn(2+) + 4H2O                              +1.51"},
{"MnO4(-) + 4H(+) + 3e <=> MnO2(s) + 2H2O                             +1.695"},
{"MnO4(-) + e <=> MnO4(2-)                                            +0.564"},
{"Mo(3+) + 3e <=> Mo(s)                                               -0.200  *"},
{"N2(g) + 5H(+) + 4e <=> N2H5(+)                                      -0.23"},
{"HNO2 + H(+) + e <=> NO(g) + H2O                                     +1.00"},
{"NO3(-) + 3H(+) 2e <=> HNO2 + H2O                                    +0.94"},
{"Na(+) + e <=> Na(s)                                                 -2.714"},
{"Nb(3+) + 3e <=> Nb(s)                                               -1.099  *"},
{"Nd(3+) + 3e <=> Nd(s)                                               -2.431  *"},
{"Ni(2+) + 2e <=> Ni(s)                                               -0.250"},
{"Np(3+) + 3e <=> Np(s)                                               -1.856  *"},
{"H2O2 + 2H(+) + 2e <=> 2H2O                                          +1.776"},
{"O2(g) + 4H(+) + 4e <=> 2H2O                                         +1.229"},
{"O2(g) + 2H(+) + 2e <=> H2O2                                         +0.682"},
{"O3(g) + 2H(+) + 2e <=> O2(g) + H2O                                  +2.07"},
{"OH + e <=> OH(-)                                                    +2.02   *"},
{"OsO4 + 8H(+) + 8e <=> Os(s) + 4H2O                                  +0.85   *"},
{"P(red) + 3H(+) + 3e <=> PH3(g)                                      -0.111  *"},
{"P(white) + 3H(+) + 3e <=> Ph3(g)                                    -0.063  *"},
{"P + 3H2O + 3e <=> PH3(g) + 3 OH(-)                                  -0.87   *"},
{"Pb(2+) + 2e <=> Pb(s)                                               -0.126"},
{"PbO2(s) + 4H(+) + 2e <=> Pb(2+) + 2H2O                              +1.455"},
{"PbSO4(s) + 2e <=> Pb(s) + SO4(2-)                                   -0.350"},
{"PtCl4(2-) + 2e <=> Pt(s) + 4Cl(-)                                   +0.73"},
{"PtCl6(2-) + 2e <=> PtCl4(2-) + 2Cl(-)                               +0.68"},
{"Pd(2+) + 2e <=> Pd(s)                                               +0.987"},
{"Pt(2+) + 2e <=> Pt(s)                                               +1.118  *"},
{"Pu(3+) + 3e <=> Pu(s)                                               -2.031  *"},
{"Rb(+) + e <=> Rb(s)                                                 -2.93   *"},
{"Re(3+) + 3e <=> Re(s)                                               +0.300  *"},
{"Rh(+) + e <=> Rh(s)                                                 +0.600  *"},
{"Rh(2+) + 2e <=> Rh(s)                                               +0.600  *"},
{"Rh(3+) + 3e <=> Rh(s)                                               +0.758  *"},
{"Ru(2+) + 2e <=> Ru(s)                                               +0.455  *"},
{"S(s) + 2H(+) + 2e <=> H2S(g)                                        +0.141"},
{"H2SO3 + 4H(+) + 4e <=> S(s) + 3H2O                                  +0.45"},
{"S4O6(2-) + 2e <=> 2S2O3(2-)                                         +0.08"},
{"SO4(2-) + 4H(+) + 2e <=> H2SO3 + H2O                                +0.17"},
{"S2O8(2-) + 2e <=> 2SO4(2-)                                          +2.01"},
{"Sb2O3 + 6H(+) + 6e <=> 2Sb(s) + 3H2O                                +0.152  *"},
{"Sb2O5(s) + 6H(+) + 4e <=> 2SbO(+) + 3H2O                            +0.581"},
{"Sc(3+) + 3e <=> Sc(s)                                               -2.077  *"},
{"H2SeO3 + 4H(+) + 4e <=> Se(s) + 3H2O                                +0.740"},
{"SeO4(2-) + 4H(+) + 2e <=> H2SeO3 + H2O                              +1.15"},
{"SiO2(quartz) + 4H(+) + 4e <=> Si + 2H2O                             +0.857  *"},
{"Sn(2+) + 2e <=> Sn(s)                                               -0.136"},
{"Sn(4+) + 2e <=> Sn(2+)                                              +0.154"},
{"Sr(+) + e <=> Sr(s)                                                 -4.10   *"},
{"Sr(2+) + 2e <=> Sr(s)                                               -2.89   *"},
{"Sr(2+) + 2e <=> Sr(Hg)                                              -1.793  *"},
{"Ta2O5 + 10H(+) + 10e <=> 2Ta(s) + 5H2O                              -0.750  *"},
{"Tc(2+) + 2e <=> Tc(s)                                               +0.400  *"},
{"Te(s) + 2e <=> Te(2-)                                               -1.143  *"},
{"Th(4+) + 4e <=> Th(s)                                               -1.899  *"},
{"Ti(3+) + e <=> Ti(2+)                                               -0.37"},
{"TiO(2+) + 2H(+) + e <=> Ti(3+) + H2O                                +0.1"},
{"Tl(+) + e <=> Tl(s)                                                 -0.336"},
{"Tl(3+) + 2e <=> Tl(+)                                               +1.25"},
{"UO2(2+) + 4H(+) + 2e <=> U(4-) + 2H2O                               +0.334"},
{"V(2+) + 2e <=> V(s)                                                 -1.175  *"},
{"V(3+) + e <=> V(2+)                                                 -0.255"},
{"VO(2+) + 2H(+) + e <=> V(3+) + H2O                                  +0.361"},
{"V(OH)4)(+) + 2H(+) + e <=> VO(2+) + 3H2O                            +1.00"},
{"WO2 + 4H(+) + 4e <=> W(s) + 2H2O                                    -0.119  *"},
{"Y(3+) + 3e <=> Y(s)                                                 -2.372  *"},
{"Zn(2+) + 2e <=> Zn(s)                                               -0.763"},
{"ZrO2 + 4H(+) + 4e <=> Zr(s) + 2H2O                                  -1.553  *"}};
