/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

Handbook of Chemistry and Physics, 64th ed., Weast, R.C. ed., CRC Press Inc.,
Boca Raton, FL; 1983, From Inside front cover periodic table

Elements 106-109 atomic weights taken from:
Chemical and Engineering News, 1994

*/

#include <string.h>
#include "periodic.h"
#include "info.h"
#include "symbols.h"

extern struct info elements[TotStructs];

void fill_atomicweight ( void )
{
strcpy(elements[H].AtmWeight ,"1.00079");  /* atomic mass units , sig figs */
strcpy(elements[He].AtmWeight ,"4.00260");
strcpy(elements[Li].AtmWeight ,"6.94");
strcpy(elements[Be].AtmWeight ,"9.01218");
strcpy(elements[B].AtmWeight ,"10.81");
strcpy(elements[C].AtmWeight ,"12.011");
strcpy(elements[N].AtmWeight ,"14.0067");
strcpy(elements[O].AtmWeight ,"15.9994");
strcpy(elements[F].AtmWeight ,"18.998403");
strcpy(elements[Ne].AtmWeight ,"20.179");
strcpy(elements[Na].AtmWeight ,"22.98977");
strcpy(elements[Mg].AtmWeight ,"24.305");
strcpy(elements[Al].AtmWeight ,"26.98154");
strcpy(elements[Si].AtmWeight ,"28.0855");
strcpy(elements[P].AtmWeight ,"30.97376");
strcpy(elements[S].AtmWeight ,"32.06");
strcpy(elements[Cl].AtmWeight ,"35.453");
strcpy(elements[Ar].AtmWeight ,"39.948");
strcpy(elements[K].AtmWeight ,"39.0983");
strcpy(elements[Ca].AtmWeight ,"40.08");
strcpy(elements[Sc].AtmWeight ,"44.9559");
strcpy(elements[Ti].AtmWeight ,"47.90");
strcpy(elements[V].AtmWeight ,"50.9415");
strcpy(elements[Cr].AtmWeight ,"51.996");
strcpy(elements[Mn].AtmWeight ,"54.9380");
strcpy(elements[Fe].AtmWeight ,"55.847");
strcpy(elements[Co].AtmWeight ,"58.9332");
strcpy(elements[Ni].AtmWeight ,"58.71");
strcpy(elements[Cu].AtmWeight ,"63.546");
strcpy(elements[Zn].AtmWeight ,"65.38");
strcpy(elements[Ga].AtmWeight ,"65.735");
strcpy(elements[Ge].AtmWeight ,"72.59");
strcpy(elements[As].AtmWeight ,"74.9216");
strcpy(elements[Se].AtmWeight ,"78.96");
strcpy(elements[Br].AtmWeight ,"79.904");
strcpy(elements[Kr].AtmWeight ,"83.80");
strcpy(elements[Rb].AtmWeight ,"85.467");
strcpy(elements[Sr].AtmWeight ,"87.62");
strcpy(elements[Y].AtmWeight ,"88.9059");
strcpy(elements[Zr].AtmWeight ,"91.22");
strcpy(elements[Nb].AtmWeight ,"92.9064");
strcpy(elements[Mo].AtmWeight ,"95.94");
strcpy(elements[Tc].AtmWeight ,"98.9062");
strcpy(elements[Ru].AtmWeight ,"101.07");
strcpy(elements[Rh].AtmWeight ,"102.9055");
strcpy(elements[Pd].AtmWeight ,"106.4");
strcpy(elements[Ag].AtmWeight ,"107.868");
strcpy(elements[Cd].AtmWeight ,"112.41");
strcpy(elements[In].AtmWeight ,"114.82");
strcpy(elements[Sn].AtmWeight ,"118.69");
strcpy(elements[Sb].AtmWeight ,"121.75");
strcpy(elements[Te].AtmWeight ,"127.60");
strcpy(elements[I].AtmWeight ,"126.9045");
strcpy(elements[Xe].AtmWeight ,"131.30");
strcpy(elements[Cs].AtmWeight ,"132.9054");
strcpy(elements[Ba].AtmWeight ,"137.33");
strcpy(elements[La].AtmWeight ,"138.9055");
strcpy(elements[Ce].AtmWeight ,"140.12");
strcpy(elements[Pr].AtmWeight ,"140.9077");
strcpy(elements[Nd].AtmWeight ,"144.24");
strcpy(elements[Pm].AtmWeight ,"145.00");
strcpy(elements[Sm].AtmWeight ,"150.4");
strcpy(elements[Eu].AtmWeight ,"151.96");
strcpy(elements[Gd].AtmWeight ,"157.25");
strcpy(elements[Tb].AtmWeight ,"158.9254");
strcpy(elements[Dy].AtmWeight ,"162.50");
strcpy(elements[Ho].AtmWeight ,"164.9304");
strcpy(elements[Er].AtmWeight ,"167.26");
strcpy(elements[Tm].AtmWeight ,"168.9342");
strcpy(elements[Yb].AtmWeight ,"173.04");
strcpy(elements[Lu].AtmWeight ,"174.967");
strcpy(elements[Hf].AtmWeight ,"178.49");
strcpy(elements[Ta].AtmWeight ,"180.9479");
strcpy(elements[W].AtmWeight ,"183.85");
strcpy(elements[Re].AtmWeight ,"186.207");
strcpy(elements[Os].AtmWeight ,"190.2");
strcpy(elements[Ir].AtmWeight ,"192.22");
strcpy(elements[Pt].AtmWeight ,"195.09");
strcpy(elements[Au].AtmWeight ,"196.9665");
strcpy(elements[Hg].AtmWeight ,"200.59");
strcpy(elements[Tl].AtmWeight ,"204.37");
strcpy(elements[Pb].AtmWeight ,"207.2");
strcpy(elements[Bi].AtmWeight ,"208.9804");
strcpy(elements[Po].AtmWeight ,"209.0");
strcpy(elements[At].AtmWeight ,"210.0");
strcpy(elements[Rn].AtmWeight ,"222.0");
strcpy(elements[Fr].AtmWeight ,"223.0");
strcpy(elements[Ra].AtmWeight ,"226.0254");
strcpy(elements[Ac].AtmWeight ,"227.0");
strcpy(elements[Th].AtmWeight ,"232.0381");
strcpy(elements[Pa].AtmWeight ,"231.0359");
strcpy(elements[U].AtmWeight ,"238.029");
strcpy(elements[Np].AtmWeight ,"237.0482");
strcpy(elements[Pu].AtmWeight ,"244.0");
strcpy(elements[Am].AtmWeight ,"243.0");
strcpy(elements[Cm].AtmWeight ,"247.0");
strcpy(elements[Bk].AtmWeight ,"247.0");
strcpy(elements[Cf].AtmWeight ,"251.0");
strcpy(elements[Es].AtmWeight ,"254.0");
strcpy(elements[Fm].AtmWeight ,"257.0");
strcpy(elements[Md].AtmWeight ,"258.0");
strcpy(elements[No].AtmWeight ,"259.0");
strcpy(elements[Lr].AtmWeight ,"260.0");
strcpy(elements[Db].AtmWeight ,"260.0");
strcpy(elements[Jl].AtmWeight ,"260.0");
strcpy(elements[Rf].AtmWeight ,"266");
strcpy(elements[Bh].AtmWeight ,"261");
strcpy(elements[Hn].AtmWeight ,"264");
strcpy(elements[Mt].AtmWeight ,"266");
return;
}
