/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/

#include <string.h>
#include "periodic.h"
#include "info.h"
#include "symbols.h"

extern struct info elements[TotStructs];
/*
  From :
  Webster's New Universal Unabridged Dictionary, Barnes & Noble Books; Avenel,
  NJ, 1992 ISBN 1-56619-147-5, page 462
*/

void fill_crystals( void )
{
strcpy(elements[H].crystr,"hexagonal");
strcpy(elements[He].crystr,"hexagonal");
strcpy(elements[Li].crystr,"cubic, body centered");
strcpy(elements[Be].crystr,"hexagonal");
strcpy(elements[B].crystr,"hexagonal");
strcpy(elements[C].crystr,"hexagonal");
strcpy(elements[N].crystr,"hexagonal");
strcpy(elements[O].crystr,"cubic");
strcpy(elements[F].crystr,"Not Available");
strcpy(elements[Ne].crystr,"Cubic, face centered");
strcpy(elements[Na].crystr,"cubic, body centered");
strcpy(elements[Mg].crystr,"hexagonal");
strcpy(elements[Al].crystr,"cubic, face centered");
strcpy(elements[Si].crystr,"diamond");
strcpy(elements[P].crystr,"cubic");
strcpy(elements[S].crystr,"orthorhombic");
strcpy(elements[Cl].crystr,"tetragonal");
strcpy(elements[Ar].crystr,"cubic, face centered");
strcpy(elements[K].crystr,"cubic, body centered");
strcpy(elements[Ca].crystr,"Cubic, face centered");
strcpy(elements[Sc].crystr,"hexagonal");
strcpy(elements[Ti].crystr,"hexagonal");
strcpy(elements[V].crystr,"cubic, body centered");
strcpy(elements[Cr].crystr,"cubic, body centered");
strcpy(elements[Mn].crystr,"cubic");
strcpy(elements[Fe].crystr,"cubic, body centered");
strcpy(elements[Co].crystr,"hexagonal");
strcpy(elements[Ni].crystr,"cubic, face centered");
strcpy(elements[Cu].crystr,"cubic, face centered");
strcpy(elements[Zn].crystr,"hexagonal");
strcpy(elements[Ga].crystr,"orthorhombic");
strcpy(elements[Ge].crystr,"diamond");
strcpy(elements[As].crystr,"rhombohedral");
strcpy(elements[Se].crystr,"hexagonal");
strcpy(elements[Br].crystr,"cubic");
strcpy(elements[Kr].crystr,"cubic, face centered");
strcpy(elements[Rb].crystr,"cubic, body centered");
strcpy(elements[Sr].crystr,"cubic, face centered");
strcpy(elements[Y].crystr,"hexagonal");
strcpy(elements[Zr].crystr,"hexagonal");
strcpy(elements[Nb].crystr,"cubic, body centered");
strcpy(elements[Mo].crystr,"cubic, body centered");
strcpy(elements[Tc].crystr,"Not Available");
strcpy(elements[Ru].crystr,"hexagonal");
strcpy(elements[Rh].crystr,"cubic, face centered");
strcpy(elements[Pd].crystr,"cubic, face centered");
strcpy(elements[Ag].crystr,"cubic, face centered");
strcpy(elements[Cd].crystr,"hexagonal");
strcpy(elements[In].crystr,"tetragonal");
strcpy(elements[Sn].crystr,"tetragonal");
strcpy(elements[Sb].crystr,"rhombohedral");
strcpy(elements[Te].crystr,"hexagonal");
strcpy(elements[I].crystr,"orthorhombic");
strcpy(elements[Xe].crystr,"cubic, face centered");
strcpy(elements[Cs].crystr,"cubic, body centered");
strcpy(elements[Ba].crystr,"cubic, body centered");
strcpy(elements[La].crystr,"hexagonal");
strcpy(elements[Ce].crystr,"cubic, face centered");
strcpy(elements[Pr].crystr,"hexagonal");
strcpy(elements[Nd].crystr,"hexagonal");
strcpy(elements[Pm].crystr,"hexagonal");
strcpy(elements[Sm].crystr,"rhombohedral");
strcpy(elements[Eu].crystr,"cubic, body centered");
strcpy(elements[Gd].crystr,"hexagonal");
strcpy(elements[Tb].crystr,"hexagonal");
strcpy(elements[Dy].crystr,"hexagonal");
strcpy(elements[Ho].crystr,"hexagonal");
strcpy(elements[Er].crystr,"hexagonal");
strcpy(elements[Tm].crystr,"hexagonal");
strcpy(elements[Yb].crystr,"cubic, face centered");
strcpy(elements[Lu].crystr,"hexagonal");
strcpy(elements[Hf].crystr,"hexagonal");
strcpy(elements[Ta].crystr,"cubic, body centered");
strcpy(elements[W].crystr,"cubic, body centered");
strcpy(elements[Re].crystr,"hexagonal");
strcpy(elements[Os].crystr,"hexagonal");
strcpy(elements[Ir].crystr,"cubic, face centered");
strcpy(elements[Pt].crystr,"cubic, body centered");
strcpy(elements[Au].crystr,"cubic, face centered");
strcpy(elements[Hg].crystr,"rhombohedral");
strcpy(elements[Tl].crystr,"hexagonal");
strcpy(elements[Pb].crystr,"cubic, face centered");
strcpy(elements[Bi].crystr,"rhombohedral");
strcpy(elements[Po].crystr,"monoclinic");
strcpy(elements[At].crystr,"Not Available");
strcpy(elements[Rn].crystr,"cubic, face centered");
strcpy(elements[Fr].crystr,"cubic, body centered");
strcpy(elements[Ra].crystr,"Not Available");
strcpy(elements[Ac].crystr,"Not Available");
strcpy(elements[Th].crystr,"cubic, face centered");
strcpy(elements[Pa].crystr,"Not Available"); 
strcpy(elements[U].crystr,"orthorombic");
strcpy(elements[Np].crystr,"Not Available"); 
strcpy(elements[Pu].crystr,"Not Available");
strcpy(elements[Am].crystr,"Not Available");
strcpy(elements[Cm].crystr,"Not Available");
strcpy(elements[Bk].crystr,"Not Available");
strcpy(elements[Cf].crystr,"Not Available");
strcpy(elements[Es].crystr,"Not Available");
strcpy(elements[Fm].crystr,"Not Available");
strcpy(elements[Md].crystr,"Not Available");
strcpy(elements[No].crystr,"Not Available");
strcpy(elements[Lr].crystr,"Not Available");
strcpy(elements[Db].crystr,"Not Available"); /* 104 */
strcpy(elements[Jl].crystr,"Not Available");
strcpy(elements[Rf].crystr,"Not Available");
strcpy(elements[Bh].crystr,"Not Available");
strcpy(elements[Hn].crystr,"Not Available");
strcpy(elements[Mt].crystr,"Not Available");
return;
}


