/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/

#include <string.h>
#include "periodic.h"
#include "info.h"

extern struct info elements[TotStructs];

void fill_density ( void )
{
strcpy(elements[1].Density , "0.08988");
strcpy(elements[2].Density , "0.17");
strcpy(elements[3].Density , "0.53");
strcpy(elements[4].Density , "1.85");
strcpy(elements[5].Density , "2.46");
strcpy(elements[6].Density , "3.51");
strcpy(elements[7].Density , "1.17");
strcpy(elements[8].Density , "1.33");
strcpy(elements[9].Density , "1.58");
strcpy(elements[10].Density , "0.84");
strcpy(elements[11].Density , "0.97");
strcpy(elements[12].Density , "1.74");
strcpy(elements[13].Density , "2.7");
strcpy(elements[14].Density , "2.33");
strcpy(elements[15].Density , "1.82");
strcpy(elements[16].Density , "2.06");
strcpy(elements[17].Density , "2.95");
strcpy(elements[18].Density , "1.66");
strcpy(elements[19].Density , "0.86");
strcpy(elements[20].Density , "1.54");
strcpy(elements[21].Density , "2.989"); /* CRC B233 55th ed.
strcpy(elements[22].Density ,"N/A");
strcpy(elements[23].Density , "4.51");
strcpy(elements[24].Density , "7.14");
strcpy(elements[25].Density , "7.44");
strcpy(elements[26].Density , "7.87");
strcpy(elements[27].Density , "8.89");
strcpy(elements[28].Density , "8.91");
strcpy(elements[29].Density , "8.92");
strcpy(elements[30].Density , "7.14");
strcpy(elements[31].Density , "5.91");
strcpy(elements[32].Density , "5.32");
strcpy(elements[33].Density , "5.72");
strcpy(elements[34].Density , "4.82");
strcpy(elements[35].Density , "3.14");
strcpy(elements[36].Density , "3.48");
strcpy(elements[37].Density , "1.53");
strcpy(elements[38].Density , "2.63");
strcpy(elements[39].Density , "4.469"); /* CRC 55th ed, b233 */
strcpy(elements[40].Density , "6.51");
strcpy(elements[41].Density , "8.58");
strcpy(elements[42].Density , "10.28");
strcpy(elements[43].Density , "11.49");
strcpy(elements[44].Density , "12.45");
strcpy(elements[45].Density,"12.41");
strcpy(elements[46].Density , "12.02");
strcpy(elements[47].Density , "10.49");
strcpy(elements[48].Density , "8.64");
strcpy(elements[49].Density , "7.31");
strcpy(elements[50].Density , "7.29");
strcpy(elements[51].Density , "6.69");
strcpy(elements[52].Density , "6.25");
strcpy(elements[53].Density , "4.94");
strcpy(elements[54].Density , "5.49");
strcpy(elements[55].Density , "1.9");
strcpy(elements[56].Density , "3.65");
strcpy(elements[57].Density , "6.145"); /* CRC 55th ed, b233 */
strcpy(elements[58].Density , "6.767");  /* CRC 55th ed, b233 */
/* strcpy(elements[58].Density[1], "6.657"); */
strcpy(elements[59].Density , "6.773");  /* CRC 55th ed, b233 */
strcpy(elements[60].Density , "7.007"); /* CRC 55th ed. B233 */
strcpy(elements[61].Density , "N/A"); /* CRC 55th ed. B233 */
strcpy(elements[62].Density , "7.52"); /* CRC 55th ed B233 */
strcpy(elements[63].Density , "5.243"); /* CRC 55th ed B233 */
strcpy(elements[64].Density , "7.900"); /* CRC 55th ed B233 */
strcpy(elements[65].Density , "8.229");  /* CRC 55th ed B233 */
strcpy(elements[66].Density , "8.550");  /* CRC 55th ed B233 */
strcpy(elements[67].Density , "8.795"); /* CRC 55th ed B233 */
strcpy(elements[68].Density , "9.066");  /* CRC 55th ed B233 */
strcpy(elements[69].Density , "9.321");    /* CRC 55th ed B233 */
strcpy(elements[70].Density , "6.965");   /* CRC 55th ed B233 */
strcpy(elements[71].Density , "9.840");  /* CRC 55th ed B233 */
strcpy(elements[72].Density , "13.31");
strcpy(elements[73].Density , "16.68");
strcpy(elements[74].Density , "19.26");
strcpy(elements[75].Density , "21.03");
strcpy(elements[76].Density , "22.61");
strcpy(elements[77].Density , "22.65");
strcpy(elements[78].Density , "21.45");
strcpy(elements[79].Density , "19.32");
strcpy(elements[80].Density , "13.55");
strcpy(elements[81].Density , "11.65");
strcpy(elements[82].Density , "11.34");
strcpy(elements[83].Density , "9.8");
strcpy(elements[84].Density , "9.2");
strcpy(elements[85].Density , "N/A ");
strcpy(elements[86].Density , "9.23");
strcpy(elements[87].Density , "N/A ");
strcpy(elements[88].Density , "5.5");
strcpy(elements[89].Density,"10.07");
strcpy(elements[90].Density , "11.72");
strcpy(elements[91].Density , "15.37");
strcpy(elements[92].Density , "18.97");
strcpy(elements[93].Density , "20.48");
strcpy(elements[94].Density , "19.74");
strcpy(elements[95].Density ,"13.67");
strcpy(elements[96].Density , "13.51");
strcpy(elements[97].Density , "13.25");
strcpy(elements[98].Density , "15.1");
strcpy(elements[99].Density , "N/A ");
strcpy(elements[100].Density , "N/A ");
strcpy(elements[101].Density , "N/A ");
strcpy(elements[102].Density , "N/A ");
strcpy(elements[103].Density , "N/A ");
strcpy(elements[104].Density , "N/A ");
strcpy(elements[105].Density , "N/A ");
strcpy(elements[106].Density , "N/A ");
strcpy(elements[107].Density , "N/A ");
strcpy(elements[108].Density , "N/A ");
strcpy(elements[109].Density , "N/A ");
return;
}
