/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/

#include <string.h>
#include "periodic.h"
#include "info.h"
#include "symbols.h"

extern struct info elements[TotStructs];

void fill_eneg ( void )
{
strcpy(elements[H].SymbolEN,"H");
strcpy(elements[H].PaulingEN,"2.20");
strcpy(elements[H].SanderEN,"2.31");
strcpy(elements[H].AllRocEN,"2.20");
strcpy(elements[He].SymbolEN,"He");
strcpy(elements[He].PaulingEN,"    ");
strcpy(elements[He].SanderEN,"4.86(d)");
strcpy(elements[He].AllRocEN,"5.50");
strcpy(elements[Li].SymbolEN,"Li");
strcpy(elements[Li].PaulingEN,"0.98");
strcpy(elements[Li].SanderEN,"0.86");
strcpy(elements[Li].AllRocEN,"0.97");
strcpy(elements[Be].SymbolEN,"Be");
strcpy(elements[Be].PaulingEN,"1.57");
strcpy(elements[Be].SanderEN,"1.61");
strcpy(elements[Be].AllRocEN,"1.47");
strcpy(elements[B].SymbolEN,"B");
strcpy(elements[B].PaulingEN,"2.04");
strcpy(elements[B].SanderEN,"1.88");
strcpy(elements[B].AllRocEN,"2.01");
strcpy(elements[C].SymbolEN,"C");
strcpy(elements[C].PaulingEN,"2.55");
strcpy(elements[C].SanderEN,"2.47");
strcpy(elements[C].AllRocEN,"2.50");
strcpy(elements[N].SymbolEN,"N");
strcpy(elements[N].PaulingEN,"3.04");
strcpy(elements[N].SanderEN,"2.93");
strcpy(elements[N].AllRocEN,"3.07");
strcpy(elements[O].SymbolEN,"O");
strcpy(elements[O].PaulingEN,"3.44");
strcpy(elements[O].SanderEN,"3.46");
strcpy(elements[O].AllRocEN,"3.50");
strcpy(elements[F].SymbolEN,"F");
strcpy(elements[F].PaulingEN,"3.98");
strcpy(elements[F].SanderEN,"3.92");
strcpy(elements[F].AllRocEN,"4.10");
strcpy(elements[Ne].SymbolEN,"Ne");
strcpy(elements[Ne].PaulingEN,"4.26(d)");
strcpy(elements[Ne].SanderEN,"4.50(d)");
strcpy(elements[Ne].AllRocEN,"4.84(d)");
strcpy(elements[Na].SymbolEN,"Na");
strcpy(elements[Na].PaulingEN,"0.93");
strcpy(elements[Na].SanderEN,"0.85");
strcpy(elements[Na].AllRocEN,"1.01");
strcpy(elements[Mg].SymbolEN,"Mg");
strcpy(elements[Mg].PaulingEN,"1.31");
strcpy(elements[Mg].SanderEN,"1.42");
strcpy(elements[Mg].AllRocEN,"1.23");
strcpy(elements[Al].SymbolEN,"Al");
strcpy(elements[Al].PaulingEN,"1.61");
strcpy(elements[Al].SanderEN,"1.54");
strcpy(elements[Al].AllRocEN,"1.47");
strcpy(elements[Si].SymbolEN,"Si");
strcpy(elements[Si].PaulingEN,"1.90");
strcpy(elements[Si].SanderEN,"1.74");
strcpy(elements[Si].AllRocEN,"1.74");
strcpy(elements[P].SymbolEN,"P");
strcpy(elements[P].PaulingEN,"2.19");
strcpy(elements[P].SanderEN,"2.16");
strcpy(elements[P].AllRocEN,"2.06");
strcpy(elements[S].SymbolEN,"S");
strcpy(elements[S].PaulingEN,"2.58");
strcpy(elements[S].SanderEN,"2.66");
strcpy(elements[S].AllRocEN,"2.44");
strcpy(elements[Cl].SymbolEN,"Cl");
strcpy(elements[Cl].PaulingEN,"3.16");
strcpy(elements[Cl].SanderEN,"3.28");
strcpy(elements[Cl].AllRocEN,"2.83");
strcpy(elements[Ar].SymbolEN,"Ar");
strcpy(elements[Ar].PaulingEN,"3.11(d)");
strcpy(elements[Ar].SanderEN,"3.31(d)");
strcpy(elements[Ar].AllRocEN,"3.20(d)");
strcpy(elements[K].SymbolEN,"K");
strcpy(elements[K].PaulingEN,"0.82");
strcpy(elements[K].SanderEN,"0.74");
strcpy(elements[K].AllRocEN,"0.91");
strcpy(elements[Ca].SymbolEN,"Ca");
strcpy(elements[Ca].PaulingEN,"1.00");
strcpy(elements[Ca].SanderEN,"1.06");
strcpy(elements[Ca].AllRocEN,"1.04");
strcpy(elements[Sc].SymbolEN,"Sc");
strcpy(elements[Sc].PaulingEN,"1.36");
strcpy(elements[Sc].SanderEN,"1.09");
strcpy(elements[Sc].AllRocEN,"1.20");
strcpy(elements[Ti].SymbolEN,"Ti(III)");
strcpy(elements[Ti].PaulingEN,"1.54");
strcpy(elements[Ti].SanderEN,"1.13");
strcpy(elements[Ti].AllRocEN,"1.32");
strcpy(elements[V].SymbolEN,"V(II)");
strcpy(elements[V].PaulingEN,"1.63");
strcpy(elements[V].SanderEN,"1.24");
strcpy(elements[V].AllRocEN,"1.45");
strcpy(elements[Cr].SymbolEN,"Cr(II)");
strcpy(elements[Cr].PaulingEN,"1.66");
strcpy(elements[Cr].SanderEN,"1.35");
strcpy(elements[Cr].AllRocEN,"1.56");
strcpy(elements[Mn].SymbolEN,"Mn(II)");
strcpy(elements[Mn].PaulingEN,"1.55");
strcpy(elements[Mn].SanderEN,"1.44");
strcpy(elements[Mn].AllRocEN,"1.60");
strcpy(elements[Fe].SymbolEN,"Fe(II)");
strcpy(elements[Fe].PaulingEN,"1.83");
strcpy(elements[Fe].SanderEN,"1.47");
strcpy(elements[Fe].AllRocEN,"1.64");
strcpy(elements[Co].SymbolEN,"Co(II)");
strcpy(elements[Co].PaulingEN,"1.88");
strcpy(elements[Co].SanderEN,"1.47");
strcpy(elements[Co].AllRocEN,"1.70");
strcpy(elements[Ni].SymbolEN,"Ni(II)");
strcpy(elements[Ni].PaulingEN,"1.91");
strcpy(elements[Ni].SanderEN,"1.47");
strcpy(elements[Ni].AllRocEN,"1.75");
strcpy(elements[Cu].SymbolEN,"Cu(I)");
strcpy(elements[Cu].PaulingEN,"1.90");
strcpy(elements[Cu].SanderEN,"1.74");
strcpy(elements[Cu].AllRocEN,"1.75");
strcpy(elements[Zn].SymbolEN,"Zn(II)");
strcpy(elements[Zn].PaulingEN,"1.65");
strcpy(elements[Zn].SanderEN,"1.86");
strcpy(elements[Zn].AllRocEN,"1.66");
strcpy(elements[Ga].SymbolEN,"Ga(III)");
strcpy(elements[Ga].PaulingEN,"1.81");
strcpy(elements[Ga].SanderEN,"2.10");
strcpy(elements[Ga].AllRocEN,"1.82");
strcpy(elements[Ge].SymbolEN,"Ge(IV)");
strcpy(elements[Ge].PaulingEN,"2.01");
strcpy(elements[Ge].SanderEN,"2.31");
strcpy(elements[Ge].AllRocEN,"2.02");
strcpy(elements[As].SymbolEN,"As(III)");
strcpy(elements[As].PaulingEN,"2.18");
strcpy(elements[As].SanderEN,"2.53");
strcpy(elements[As].AllRocEN,"2.20");
strcpy(elements[Se].SymbolEN,"Se");
strcpy(elements[Se].PaulingEN,"2.55");
strcpy(elements[Se].SanderEN,"2.76");
strcpy(elements[Se].AllRocEN,"2.48");
strcpy(elements[Br].SymbolEN,"Br");
strcpy(elements[Br].PaulingEN,"2.96");
strcpy(elements[Br].SanderEN,"2.96");
strcpy(elements[Br].AllRocEN,"2.74");
strcpy(elements[Kr].SymbolEN,"Kr");
strcpy(elements[Kr].PaulingEN,"3.00");
strcpy(elements[Kr].SanderEN,"2.91(d)");
strcpy(elements[Kr].AllRocEN,"2.94(d)");
strcpy(elements[Rb].SymbolEN,"Rb");
strcpy(elements[Rb].PaulingEN,"0.82");
strcpy(elements[Rb].SanderEN,"0.70");
strcpy(elements[Rb].AllRocEN,"0.89");
strcpy(elements[Sr].SymbolEN,"Sr");
strcpy(elements[Sr].PaulingEN,"----");
strcpy(elements[Sr].SanderEN,"----");
strcpy(elements[Sr].AllRocEN,"-----");
strcpy(elements[Y].SymbolEN,"Y");
strcpy(elements[Y].PaulingEN,"1.22");
strcpy(elements[Y].SanderEN,"0.96");
strcpy(elements[Y].AllRocEN,"0.99");
strcpy(elements[Zr].SymbolEN,"Zr(II)");
strcpy(elements[Zr].PaulingEN,"1.33");
strcpy(elements[Zr].SanderEN,"0.98");
strcpy(elements[Zr].AllRocEN,"1.11");
strcpy(elements[Nb].SymbolEN,"Nb");
strcpy(elements[Nb].PaulingEN,"1.60");
strcpy(elements[Nb].SanderEN,"1.12");
strcpy(elements[Nb].AllRocEN,"1.23");
strcpy(elements[Mo].SymbolEN,"Mo(IV)");
strcpy(elements[Mo].PaulingEN,"2.19");
strcpy(elements[Mo].SanderEN,"1.24");
strcpy(elements[Mo].AllRocEN,"1.30");
strcpy(elements[Tc].SymbolEN,"Tc");
strcpy(elements[Tc].PaulingEN,"1.90");
strcpy(elements[Tc].SanderEN,"1.33");
strcpy(elements[Tc].AllRocEN,"1.36");
strcpy(elements[Ru].SymbolEN,"Ru");
strcpy(elements[Ru].PaulingEN,"2.20");
strcpy(elements[Ru].SanderEN,"1.40");
strcpy(elements[Ru].AllRocEN,"1.42");
strcpy(elements[Rh].SymbolEN,"Rh");
strcpy(elements[Rh].PaulingEN,"2.28");
strcpy(elements[Rh].SanderEN,"1.47");
strcpy(elements[Rh].AllRocEN,"1.45");
strcpy(elements[Pd].SymbolEN,"Pd");
strcpy(elements[Pd].PaulingEN,"2.20");
strcpy(elements[Pd].SanderEN,"1.57");
strcpy(elements[Pd].AllRocEN,"1.35");
strcpy(elements[Ag].SymbolEN,"Ag");
strcpy(elements[Ag].PaulingEN,"1.93");
strcpy(elements[Ag].SanderEN,"1.72");
strcpy(elements[Ag].AllRocEN,"1.42");
strcpy(elements[Cd].SymbolEN,"Cd");
strcpy(elements[Cd].PaulingEN,"1.69");
strcpy(elements[Cd].SanderEN,"1.73");
strcpy(elements[Cd].AllRocEN,"1.46");
strcpy(elements[In].SymbolEN,"In");
strcpy(elements[In].PaulingEN,"1.78");
strcpy(elements[In].SanderEN,"1.88");
strcpy(elements[In].AllRocEN,"1.49");
strcpy(elements[Sn].SymbolEN,"Sn(IV)");
strcpy(elements[Sn].PaulingEN,"1.96");
strcpy(elements[Sn].SanderEN,"2.02");
strcpy(elements[Sn].AllRocEN,"1.72");
strcpy(elements[Sb].SymbolEN,"Sb");
strcpy(elements[Sb].PaulingEN,"2.05");
strcpy(elements[Sb].SanderEN,"2.19");
strcpy(elements[Sb].AllRocEN,"1.82");
strcpy(elements[Te].SymbolEN,"Te");
strcpy(elements[Te].PaulingEN,"2.10");
strcpy(elements[Te].SanderEN,"2.34");
strcpy(elements[Te].AllRocEN,"2.01");
strcpy(elements[I].SymbolEN,"I");
strcpy(elements[I].PaulingEN,"2.66");
strcpy(elements[I].SanderEN,"2.50");
strcpy(elements[I].AllRocEN,"2.21");
strcpy(elements[Xe].SymbolEN,"Xe");
strcpy(elements[Xe].PaulingEN,"2.60(d)");
strcpy(elements[Xe].SanderEN,"2.34(d)");
strcpy(elements[Xe].AllRocEN,"2.40(d)");
strcpy(elements[Cs].SymbolEN,"Cs");
strcpy(elements[Cs].PaulingEN,"0.79");
strcpy(elements[Cs].SanderEN,"0.69");
strcpy(elements[Cs].AllRocEN,"0.86");
strcpy(elements[Ba].SymbolEN,"Ba");
strcpy(elements[Ba].PaulingEN,"0.89");
strcpy(elements[Ba].SanderEN,"0.93");
strcpy(elements[Ba].AllRocEN,"0.97");
strcpy(elements[La].SymbolEN,"La");
strcpy(elements[La].PaulingEN,"1.10");
strcpy(elements[La].SanderEN,"0.92");
strcpy(elements[La].AllRocEN,"1.80");
strcpy(elements[Ce].SymbolEN,"Ce");
strcpy(elements[Ce].PaulingEN,"1.12");
strcpy(elements[Ce].SanderEN,"0.92");
strcpy(elements[Ce].AllRocEN,"1.80");
strcpy(elements[Pr].SymbolEN,"Pr");
strcpy(elements[Pr].PaulingEN,"1.13");
strcpy(elements[Pr].SanderEN,"0.92");
strcpy(elements[Pr].AllRocEN,"1.07");
strcpy(elements[Nd].SymbolEN,"Nd");
strcpy(elements[Nd].PaulingEN,"1.14");
strcpy(elements[Nd].SanderEN,"0.93");
strcpy(elements[Nd].AllRocEN,"1.07");
strcpy(elements[Pm].SymbolEN,"Pm");
strcpy(elements[Pm].PaulingEN,"    ");
strcpy(elements[Pm].SanderEN,"0.94");
strcpy(elements[Pm].AllRocEN,"1.70");
strcpy(elements[Sm].SymbolEN,"Sm");
strcpy(elements[Sm].PaulingEN,"1.17");
strcpy(elements[Sm].SanderEN,"0.94");
strcpy(elements[Sm].AllRocEN,"1.70");
strcpy(elements[Eu].SymbolEN,"Eu");
strcpy(elements[Eu].PaulingEN,"    ");
strcpy(elements[Eu].SanderEN,"0.94");
strcpy(elements[Eu].AllRocEN,"1.01");
strcpy(elements[Gd].SymbolEN,"Gd");
strcpy(elements[Gd].PaulingEN,"1.20");
strcpy(elements[Gd].SanderEN,"0.94");
strcpy(elements[Gd].AllRocEN,"1.11");
strcpy(elements[Tb].SymbolEN,"Tb");
strcpy(elements[Tb].PaulingEN,"    ");
strcpy(elements[Tb].SanderEN,"0.94");
strcpy(elements[Tb].AllRocEN,"1.10");
strcpy(elements[Dy].SymbolEN,"Dy");
strcpy(elements[Dy].PaulingEN,"1.22");
strcpy(elements[Dy].SanderEN,"0.94");
strcpy(elements[Dy].AllRocEN,"1.10");
strcpy(elements[Ho].SymbolEN,"Ho");
strcpy(elements[Ho].PaulingEN,"1.23");
strcpy(elements[Ho].SanderEN,"0.96");
strcpy(elements[Ho].AllRocEN,"1.10");
strcpy(elements[Er].SymbolEN,"Er");
strcpy(elements[Er].PaulingEN,"1.24");
strcpy(elements[Er].SanderEN,"0.96");
strcpy(elements[Er].AllRocEN,"1.11");
strcpy(elements[Tm].SymbolEN,"Tm");
strcpy(elements[Tm].PaulingEN,"1.25");
strcpy(elements[Tm].SanderEN,"0.96");
strcpy(elements[Tm].AllRocEN,"1.11");
strcpy(elements[Yb].SymbolEN,"Yb");
strcpy(elements[Yb].PaulingEN,"   ");
strcpy(elements[Yb].SanderEN,"0.96");
strcpy(elements[Yb].AllRocEN,"1.06");
strcpy(elements[Lu].SymbolEN,"Lu");
strcpy(elements[Lu].PaulingEN,"1.27");
strcpy(elements[Lu].SanderEN,"0.96");
strcpy(elements[Lu].AllRocEN,"1.14");
strcpy(elements[Hf].SymbolEN,"Hf");
strcpy(elements[Hf].PaulingEN,"1.30");
strcpy(elements[Hf].SanderEN,"0.98");
strcpy(elements[Hf].AllRocEN,"1.23");
strcpy(elements[Ta].SymbolEN,"Ta");
strcpy(elements[Ta].PaulingEN,"1.50");
strcpy(elements[Ta].SanderEN,"1.04");
strcpy(elements[Ta].AllRocEN,"1.33");
strcpy(elements[W].SymbolEN,"W");
strcpy(elements[W].PaulingEN,"2.36");
strcpy(elements[W].SanderEN,"1.13");
strcpy(elements[W].AllRocEN,"1.40");
strcpy(elements[Re].SymbolEN,"Re");
strcpy(elements[Re].PaulingEN,"1.90");
strcpy(elements[Re].SanderEN,"1.19");
strcpy(elements[Re].AllRocEN,"1.46");
strcpy(elements[Os].SymbolEN,"Os");
strcpy(elements[Os].PaulingEN,"2.20");
strcpy(elements[Os].SanderEN,"1.26");
strcpy(elements[Os].AllRocEN,"1.52");
strcpy(elements[Ir].SymbolEN,"Ir");
strcpy(elements[Ir].PaulingEN,"2.20");
strcpy(elements[Ir].SanderEN,"1.33");
strcpy(elements[Ir].AllRocEN,"1.55");
strcpy(elements[Pt].SymbolEN,"Pt");
strcpy(elements[Pt].PaulingEN,"2.28");
strcpy(elements[Pt].SanderEN,"1.36");
strcpy(elements[Pt].AllRocEN,"1.44");
strcpy(elements[Au].SymbolEN,"Au");
strcpy(elements[Au].PaulingEN,"2.54");
strcpy(elements[Au].SanderEN,"1.72");
strcpy(elements[Au].AllRocEN,"1.42");
strcpy(elements[Hg].SymbolEN,"Hg");
strcpy(elements[Hg].PaulingEN,"2.00");
strcpy(elements[Hg].SanderEN,"1.92");
strcpy(elements[Hg].AllRocEN,"1.44");
strcpy(elements[Tl].SymbolEN,"Tl(I)");
strcpy(elements[Tl].PaulingEN,"1.62");
strcpy(elements[Tl].SanderEN,"1.36");
strcpy(elements[Tl].AllRocEN,"1.44");
strcpy(elements[Pb].SymbolEN,"Pb(IV)");
strcpy(elements[Pb].PaulingEN,"2.33");
strcpy(elements[Pb].SanderEN,"2.01");
strcpy(elements[Pb].AllRocEN,"1.55");
strcpy(elements[Bi].SymbolEN,"Bi");
strcpy(elements[Bi].PaulingEN,"2.02");
strcpy(elements[Bi].SanderEN,"2.06");
strcpy(elements[Bi].AllRocEN,"1.67");
strcpy(elements[Po].SymbolEN,"Po");
strcpy(elements[Po].PaulingEN,"2.00");
strcpy(elements[Po].SanderEN,"    ");
strcpy(elements[Po].AllRocEN,"1.76");
strcpy(elements[At].SymbolEN,"At");
strcpy(elements[At].PaulingEN,"2.20");
strcpy(elements[At].SanderEN,"    ");
strcpy(elements[At].AllRocEN,"1.90");
strcpy(elements[Rn].SymbolEN,"Rn");
strcpy(elements[Rn].PaulingEN,"2.12(d)");
strcpy(elements[Rn].SanderEN,"    ");
strcpy(elements[Rn].AllRocEN,"2.06(d)");
strcpy(elements[Fr].SymbolEN,"Fr");
strcpy(elements[Fr].PaulingEN,"0.70");
strcpy(elements[Fr].SanderEN,"    ");
strcpy(elements[Fr].AllRocEN,"0.86");
strcpy(elements[Ra].SymbolEN,"Ra");
strcpy(elements[Ra].PaulingEN,"0.90");
strcpy(elements[Ra].SanderEN,"    ");
strcpy(elements[Ra].AllRocEN,"0.97");
strcpy(elements[Ac].SymbolEN,"Ac");
strcpy(elements[Ac].PaulingEN,"1.10");
strcpy(elements[Ac].SanderEN,"    ");
strcpy(elements[Ac].AllRocEN,"1.00");
strcpy(elements[Th].SymbolEN,"Th");
strcpy(elements[Th].PaulingEN,"1.30");
strcpy(elements[Th].SanderEN,"    ");
strcpy(elements[Th].AllRocEN,"1.11");
strcpy(elements[Pa].SymbolEN,"Pa");
strcpy(elements[Pa].PaulingEN,"1.50");
strcpy(elements[Pa].SanderEN,"    ");
strcpy(elements[Pa].AllRocEN,"1.14");
strcpy(elements[U].SymbolEN,"U");
strcpy(elements[U].PaulingEN,"1.70");
strcpy(elements[U].SanderEN,"    ");
strcpy(elements[U].AllRocEN,"1.22");
strcpy(elements[Np].SymbolEN,"Np");
strcpy(elements[Np].PaulingEN,"1.30");
strcpy(elements[Np].SanderEN,"    ");
strcpy(elements[Np].AllRocEN,"1.22");
strcpy(elements[Pu].SymbolEN,"Pu");
strcpy(elements[Pu].PaulingEN,"1.30");
strcpy(elements[Pu].SanderEN,"    ");
strcpy(elements[Pu].AllRocEN,"1.22");
strcpy(elements[Am].SymbolEN,"Am");
strcpy(elements[Am].PaulingEN,"1.30");
strcpy(elements[Am].SanderEN,"    ");
strcpy(elements[Am].AllRocEN,"(1.2)");
strcpy(elements[Cm].SymbolEN,"Cm");
strcpy(elements[Cm].PaulingEN,"1.30");
strcpy(elements[Cm].SanderEN,"    ");
strcpy(elements[Cm].AllRocEN,"(1.2)");
strcpy(elements[Bk].SymbolEN,"Bk");
strcpy(elements[Bk].PaulingEN,"1.30");
strcpy(elements[Bk].SanderEN,"    ");
strcpy(elements[Bk].AllRocEN,"(1.2)");
strcpy(elements[Cf].SymbolEN,"Cf");
strcpy(elements[Cf].PaulingEN,"1.30");
strcpy(elements[Cf].SanderEN,"    ");
strcpy(elements[Cf].AllRocEN,"(1.2)");
strcpy(elements[Es].SymbolEN,"Es");
strcpy(elements[Es].PaulingEN,"1.30");
strcpy(elements[Es].SanderEN,"    ");
strcpy(elements[Es].AllRocEN,"(1.2)");
strcpy(elements[Fm].PaulingEN,"1.30");
strcpy(elements[Fm].SymbolEN,"Fm");
strcpy(elements[Fm].SanderEN,"    ");
strcpy(elements[Fm].AllRocEN,"(1.2)");
strcpy(elements[Md].SymbolEN,"Md");
strcpy(elements[Md].PaulingEN,"1.30");
strcpy(elements[Md].SanderEN,"    ");
strcpy(elements[Md].AllRocEN,"(1.2)");
strcpy(elements[No].SymbolEN,"No");
strcpy(elements[No].PaulingEN,"1.30");
strcpy(elements[No].SanderEN,"    ");
strcpy(elements[No].AllRocEN,"(1,2)");
return;
}
