/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

Handbook of Chemistry and Physics, 64th ed., Weast, R.C. ed., CRC Press Inc.,
Boca Raton, FL; 1983, pp. B232-B316.  Taken from the % natural abundance 

*/

#include "periodic.h"
#include "info.h"
#include "symbols.h"

extern struct info elements[TotStructs];

void fill_isotopes ( void )
{

elements[H].Isotopes = 2;
elements[He].Isotopes = 2;
elements[Li].Isotopes = 2;
elements[Be].Isotopes = 1;
elements[B].Isotopes = 2;
elements[C].Isotopes = 2;
elements[N].Isotopes = 2;
elements[O].Isotopes = 3;
elements[F].Isotopes = 1;
elements[Ne].Isotopes = 3;
elements[Na].Isotopes = 1;
elements[Mg].Isotopes = 3;
elements[Al].Isotopes = 1;
elements[Si].Isotopes = 3;
elements[P].Isotopes = 1;
elements[S].Isotopes = 4;
elements[Cl].Isotopes = 2;
elements[Ar].Isotopes = 3;
elements[K].Isotopes = 3;
elements[Ca].Isotopes = 6;
elements[Sc].Isotopes = 1;
elements[Ti].Isotopes = 5;
elements[V].Isotopes = 2;
elements[Cr].Isotopes = 4;
elements[Mn].Isotopes = 1;
elements[Fe].Isotopes = 4;
elements[Co].Isotopes = 1;
elements[Ni].Isotopes = 5;
elements[Cu].Isotopes = 2;
elements[Zn].Isotopes = 5;
elements[Ga].Isotopes = 2;
elements[Ge].Isotopes = 5;
elements[As].Isotopes = 1;
elements[Se].Isotopes = 6;
elements[Br].Isotopes = 2;
elements[Kr].Isotopes = 6;  /* Appears to be erronious, only 3 A.W. given */
elements[Rb].Isotopes = 2;
elements[Sr].Isotopes = 4;
elements[Y].Isotopes = 1;
elements[Zr].Isotopes = 5;
elements[Nb].Isotopes = 1;
elements[Mo].Isotopes = 7;
elements[Tc].Isotopes = 0;
elements[Ru].Isotopes = 7;
elements[Rh].Isotopes = 1;
elements[Pd].Isotopes = 6;
elements[Ag].Isotopes = 2;
elements[Cd].Isotopes = 8;
elements[In].Isotopes = 2;
elements[Sn].Isotopes = 10;
elements[Sb].Isotopes = 2;
elements[Te].Isotopes = 8;
elements[I].Isotopes = 1;
elements[Xe].Isotopes = 9;
elements[Cs].Isotopes = 1;
elements[Ba].Isotopes = 7;
elements[La].Isotopes = 2;
elements[Ce].Isotopes = 4;
elements[Pr].Isotopes = 1;
elements[Nd].Isotopes = 7;
elements[Pm].Isotopes = 0;
elements[Sm].Isotopes = 7;
elements[Eu].Isotopes = 2;
elements[Gd].Isotopes = 7;
elements[Tb].Isotopes = 1;
elements[Dy].Isotopes = 7;
elements[Ho].Isotopes = 1;
elements[Er].Isotopes = 6;
elements[Tm].Isotopes = 1;
elements[Yb].Isotopes = 7;
elements[Lu].Isotopes = 2;
elements[Hf].Isotopes = 6;
elements[Ta].Isotopes = 2;
elements[W].Isotopes = 5;
elements[Re].Isotopes = 2;
elements[Os].Isotopes = 7;
elements[Ir].Isotopes = 2;
elements[Pt].Isotopes = 6;
elements[Au].Isotopes = 1;
elements[Hg].Isotopes = 7;
elements[Tl].Isotopes = 2;
elements[Pb].Isotopes = 4;
elements[Bi].Isotopes = 1;
elements[Po].Isotopes = 0;
elements[At].Isotopes = 0;
elements[Rn].Isotopes = 0;
elements[Fr].Isotopes = 0;
elements[Ra].Isotopes = 0;
elements[Ac].Isotopes = 0;
elements[Th].Isotopes = 0;
elements[Pa].Isotopes = 0;
elements[U].Isotopes = 3;
elements[Np].Isotopes = 0;
elements[Pu].Isotopes = 0;
elements[Am].Isotopes = 0;
elements[Cm].Isotopes = 0;
elements[Bk].Isotopes = 0;
elements[Cf].Isotopes = 0;
elements[Es].Isotopes = 0;
elements[Fm].Isotopes = 0;
elements[Md].Isotopes = 0;
elements[No].Isotopes = 0;
elements[Lr].Isotopes = 0;
elements[Db].Isotopes = 0; /* 10 */
elements[Jl].Isotopes = 0; /* 7 */
elements[Rf].Isotopes = 0; /* 6 */
elements[Bh].Isotopes = 0; /* 2 */
elements[Hn].Isotopes = 0; /* 2 */
elements[Mt].Isotopes = 0; /* 1 */
return;
}
