/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/

#include "periodic.h"
#include "info.h"

extern struct info elements[TotStructs];

void fill_oxidnrs ( void )
{
elements[1].OxidNrs = 2;
elements[1].Oxidstate[0] = 1;
elements[1].Oxidstate[1] = -1;
elements[2].OxidNrs = 0;
elements[3].OxidNrs = 1;
elements[3].Oxidstate[0] = 1;
elements[4].OxidNrs = 1;
elements[4].Oxidstate[0] = 2;
elements[5].OxidNrs = 1;
elements[5].Oxidstate[0] = 3;
elements[6].OxidNrs = 3;
elements[6].Oxidstate[0] = 4;
elements[6].Oxidstate[1] = 2;
elements[6].Oxidstate[2] = -4;
elements[7].OxidNrs = 5;
elements[7].Oxidstate[0] = 5;
elements[7].Oxidstate[1] = 4;
elements[7].Oxidstate[2] = 3;
elements[7].Oxidstate[3] = 2;
elements[7].Oxidstate[4] = -3;
elements[8].OxidNrs = 2;
elements[8].Oxidstate[0] = -2;
elements[8].Oxidstate[1] = -1;
elements[9].OxidNrs = 1;
elements[9].Oxidstate[0] = -1;
elements[10].OxidNrs = 0;
elements[11].OxidNrs = 1;
elements[11].Oxidstate[0] = 1;
elements[12].OxidNrs = 1;
elements[12].Oxidstate[0] = 2;
elements[13].OxidNrs = 1;
elements[13].Oxidstate[0] = 3;
elements[14].OxidNrs = 2;
elements[14].Oxidstate[0] = 4;
elements[14].Oxidstate[1] = -4;
elements[15].OxidNrs = 3;
elements[15].Oxidstate[0] = 5;
elements[15].Oxidstate[1] = 3;
elements[15].Oxidstate[2] = -3;
elements[16].OxidNrs = 4;
elements[16].Oxidstate[0] = 6;
elements[16].Oxidstate[1] = 4;
elements[16].Oxidstate[2] = 2;
elements[16].Oxidstate[3] = -2;
elements[17].OxidNrs = 5;
elements[17].Oxidstate[0] = 7;
elements[17].Oxidstate[1] = 5;
elements[17].Oxidstate[2] = 3;
elements[17].Oxidstate[3] = 1;
elements[17].Oxidstate[4] = -1;
elements[18].OxidNrs = 0;
elements[19].OxidNrs = 1;
elements[19].Oxidstate[0] = 1;
elements[20].OxidNrs = 1;
elements[20].Oxidstate[0] = 2;
elements[21].OxidNrs = 1;
elements[21].Oxidstate[0] = 3;
/* F.H. Spedding "Properties of the rare earth metals" */
elements[22].OxidNrs = 2;
elements[22].Oxidstate[0] = 4;
elements[22].Oxidstate[1] = 3;
elements[23].OxidNrs = 5;
elements[23].Oxidstate[0] = 5;
elements[23].Oxidstate[1] = 4;
elements[23].Oxidstate[2] = 3;
elements[23].Oxidstate[3] = 2;
elements[23].Oxidstate[4] = 0;
elements[24].OxidNrs = 4;
elements[24].Oxidstate[0] = 6;
elements[24].Oxidstate[1] = 3;
elements[24].Oxidstate[2] = 2;
elements[24].Oxidstate[3] = 0;
elements[25].OxidNrs = 7;
elements[25].Oxidstate[0] = 7;
elements[25].Oxidstate[1] = 6;
elements[25].Oxidstate[2] = 4;
elements[25].Oxidstate[3] = 3;
elements[25].Oxidstate[4] = 2;
elements[25].Oxidstate[5] = 0;
elements[25].Oxidstate[6] = -1;
elements[26].OxidNrs = 5;
elements[26].Oxidstate[0] = 6;
elements[26].Oxidstate[1] = 3;
elements[26].Oxidstate[2] = 2;
elements[26].Oxidstate[3] = 0;
elements[26].Oxidstate[4] = -2;
elements[27].OxidNrs = 4;
elements[27].Oxidstate[0] = 3;
elements[27].Oxidstate[1] = 2;
elements[27].Oxidstate[2] = 0;
elements[27].Oxidstate[3] = -1;
elements[28].OxidNrs = 3;
elements[28].Oxidstate[0] = 3;
elements[28].Oxidstate[1] = 2;
elements[28].Oxidstate[2] = 0;
elements[29].OxidNrs = 2;
elements[29].Oxidstate[0] = 2;
elements[29].Oxidstate[1] = 1;
elements[30].OxidNrs = 1;
elements[30].Oxidstate[0] = 2;
elements[31].OxidNrs = 1;
elements[31].Oxidstate[0] = 3;
elements[32].OxidNrs = 1;
elements[32].Oxidstate[0] = 4;
elements[33].OxidNrs = 3;
elements[33].Oxidstate[0] = 5;
elements[33].Oxidstate[1] = 3;
elements[33].Oxidstate[2] = -3;
elements[34].OxidNrs = 3;
elements[34].Oxidstate[0] = 6;
elements[34].Oxidstate[1] = 4;
elements[34].Oxidstate[2] = -2;
elements[35].OxidNrs = 5;
elements[35].Oxidstate[0] = 7;
elements[35].Oxidstate[1] = 5;
elements[35].Oxidstate[2] = 3;
elements[35].Oxidstate[3] = 1;
elements[35].Oxidstate[4] = -1;
elements[36].OxidNrs = 1;
elements[36].Oxidstate[0] = 2;
elements[37].OxidNrs = 1;
elements[37].Oxidstate[0] = 1;
elements[38].OxidNrs = 1;
elements[38].Oxidstate[0] = 2;
elements[39].OxidNrs = 1;
elements[39].Oxidstate[0] = 3;
elements[40].OxidNrs = 1;
elements[40].Oxidstate[0] = 4;
elements[41].OxidNrs = 2;
elements[41].Oxidstate[0] = 5;
elements[41].Oxidstate[1] = 3;
elements[42].OxidNrs = 6;
elements[42].Oxidstate[0] = 6;
elements[42].Oxidstate[1] = 5;
elements[42].Oxidstate[2] = 4;
elements[42].Oxidstate[3] = 3;
elements[42].Oxidstate[4] = 2;
elements[42].Oxidstate[5] = 0;
elements[43].OxidNrs = 1;
elements[43].Oxidstate[0] = 7;
elements[44].OxidNrs = 7;
elements[44].Oxidstate[0] = 8;
elements[44].Oxidstate[1] = 6;
elements[44].Oxidstate[2] = 4;
elements[44].Oxidstate[3] = 3;
elements[44].Oxidstate[4] = 2;
elements[44].Oxidstate[5] = 0;
elements[44].Oxidstate[6] = -2;
elements[45].OxidNrs = 6;
elements[45].Oxidstate[0] = 5;
elements[45].Oxidstate[1] = 4;
elements[45].Oxidstate[2] = 3;
elements[45].Oxidstate[3] = 2;
elements[45].Oxidstate[4] = 1;
elements[45].Oxidstate[5] = 0;
elements[46].OxidNrs = 3;
elements[46].Oxidstate[0] = 4;
elements[46].Oxidstate[1] = 2;
elements[46].Oxidstate[2] = 0;
elements[47].OxidNrs = 2;
elements[47].Oxidstate[0] = 2;
elements[47].Oxidstate[1] = 1;
elements[48].OxidNrs = 1;
elements[48].Oxidstate[0] = 2;
elements[49].OxidNrs = 1;
elements[49].Oxidstate[0] = 3;
elements[50].OxidNrs = 2;
elements[50].Oxidstate[0] = 4;
elements[50].Oxidstate[1] = 2;
elements[51].OxidNrs = 3;
elements[51].Oxidstate[0] = 5;
elements[51].Oxidstate[1] = 3;
elements[51].Oxidstate[2] = -3;
elements[52].OxidNrs = 3;
elements[52].Oxidstate[0] = 6;
elements[52].Oxidstate[1] = 4;
elements[52].Oxidstate[2] = -2;
elements[53].OxidNrs = 4;
elements[53].Oxidstate[0] = 7;
elements[53].Oxidstate[1] = 5;
elements[53].Oxidstate[2] = 1;
elements[53].Oxidstate[3] = -1;
elements[54].OxidNrs = 3;
elements[54].Oxidstate[0] = 2;
elements[54].Oxidstate[1] = 4;
elements[54].Oxidstate[2] = 6;
elements[55].OxidNrs = 1;
elements[55].Oxidstate[0] = 1;
elements[56].OxidNrs = 1;
elements[56].Oxidstate[0] = 2;
elements[57].OxidNrs = 1;
elements[57].Oxidstate[0] = 3;
elements[58].OxidNrs = 2;
elements[58].Oxidstate[0] = 4;
elements[58].Oxidstate[1] = 3;
elements[59].OxidNrs = 2;
elements[59].Oxidstate[0] = 4;
elements[59].Oxidstate[1] = 3;
elements[60].OxidNrs = 1;
elements[60].Oxidstate[0] = 3;
elements[61].OxidNrs = 1;
elements[61].Oxidstate[0] = 3;
elements[62].OxidNrs = 2;
elements[62].Oxidstate[0] = 3;
elements[62].Oxidstate[1] = 2;
elements[63].OxidNrs = 2;
elements[63].Oxidstate[0] = 3;
elements[63].Oxidstate[1] = 2;
elements[64].OxidNrs = 1;
elements[64].Oxidstate[0] = 3;
elements[65].OxidNrs = 2;
elements[65].Oxidstate[0] = 4;
elements[65].Oxidstate[1] = 3;
elements[66].OxidNrs = 1;
elements[66].Oxidstate[0] = 3;
elements[67].OxidNrs = 1;
elements[67].Oxidstate[0] = 3;
elements[68].OxidNrs = 1;
elements[68].Oxidstate[0] = 3;
elements[69].OxidNrs = 2;
elements[69].Oxidstate[0] = 3;
elements[69].Oxidstate[1] = 2;
elements[70].OxidNrs = 2;
elements[70].Oxidstate[0] = 3;
elements[70].Oxidstate[1] = 2;
elements[71].OxidNrs = 1;
elements[71].Oxidstate[0] = 3;
elements[72].OxidNrs = 1;
elements[72].Oxidstate[0] = 4;
elements[73].OxidNrs = 2;
elements[73].Oxidstate[0] = 4;
elements[73].Oxidstate[1] = 5;
elements[74].OxidNrs = 6;
elements[74].Oxidstate[0] = 6;
elements[74].Oxidstate[1] = 5;
elements[74].Oxidstate[2] = 4;
elements[74].Oxidstate[3] = 3;
elements[74].Oxidstate[4] = 2;
elements[74].Oxidstate[5] = 0;
elements[75].OxidNrs = 5;
elements[75].Oxidstate[0] = 7;
elements[75].Oxidstate[1] = 6;
elements[75].Oxidstate[2] = 4;
elements[75].Oxidstate[3] = 2;
elements[75].Oxidstate[4] = -2;
elements[76].OxidNrs = 7;
elements[76].Oxidstate[0] = 8;
elements[76].Oxidstate[1] = 6;
elements[76].Oxidstate[2] = 4;
elements[76].Oxidstate[3] = 3;
elements[76].Oxidstate[4] = 2;
elements[76].Oxidstate[5] = 0;
elements[76].Oxidstate[6] = -2;
elements[77].OxidNrs = 7;
elements[77].Oxidstate[0] = 6;
elements[77].Oxidstate[1] = 4;
elements[77].Oxidstate[2] = 3;
elements[77].Oxidstate[3] = 2;
elements[77].Oxidstate[4] = 1;
elements[77].Oxidstate[5] = 0;
elements[77].Oxidstate[6] = -1;
elements[78].OxidNrs = 3;
elements[78].Oxidstate[0] = 4;
elements[78].Oxidstate[1] = 2;
elements[78].Oxidstate[2] = 0;
elements[79].OxidNrs = 2;
elements[79].Oxidstate[0] = 3;
elements[79].Oxidstate[1] = 1;
elements[80].OxidNrs = 2;
elements[80].Oxidstate[0] = 2;
elements[80].Oxidstate[1] = 1;
elements[81].OxidNrs = 2;
elements[81].Oxidstate[0] = 3;
elements[81].Oxidstate[1] = 1;
elements[82].OxidNrs = 2;
elements[82].Oxidstate[0] = 4;
elements[82].Oxidstate[1] = 2;
elements[83].OxidNrs = 2;
elements[83].Oxidstate[0] = 5;
elements[83].Oxidstate[1] = 3;
elements[84].OxidNrs = 3;
elements[84].Oxidstate[0] = 6;
elements[84].Oxidstate[1] = 4;
elements[84].Oxidstate[2] = 2;
elements[85].OxidNrs = 5;
elements[85].Oxidstate[0] = 7;
elements[85].Oxidstate[1] = 5;
elements[85].Oxidstate[2] = 3;
elements[85].Oxidstate[3] = 1;
elements[85].Oxidstate[4] = -1;
elements[86].OxidNrs = 2;
elements[86].Oxidstate[0] = 2;
elements[86].Oxidstate[1] = 0;
elements[87].OxidNrs = 1;
elements[87].Oxidstate[0] = 1;
elements[88].OxidNrs = 1;
elements[88].Oxidstate[0] = 2;
elements[89].OxidNrs = 1;
elements[89].Oxidstate[0] = 3;
elements[90].OxidNrs = 1;
elements[90].Oxidstate[0] = 4;
elements[91].OxidNrs = 2;
elements[91].Oxidstate[0] = 5;
elements[91].Oxidstate[1] = 4;
elements[92].OxidNrs = 4;
elements[92].Oxidstate[0] = 6;
elements[92].Oxidstate[1] = 5;
elements[92].Oxidstate[2] = 4;
elements[92].Oxidstate[3] = 3;
elements[93].OxidNrs = 4;
elements[93].Oxidstate[0] = 6;
elements[93].Oxidstate[1] = 5;
elements[93].Oxidstate[2] = 4;
elements[93].Oxidstate[3] = 3;
elements[94].OxidNrs = 4;
elements[94].Oxidstate[0] = 6;
elements[94].Oxidstate[1] = 5;
elements[94].Oxidstate[2] = 4;
elements[94].Oxidstate[3] = 3;
elements[95].OxidNrs = 4;
elements[95].Oxidstate[0] = 6;
elements[95].Oxidstate[1] = 5;
elements[95].Oxidstate[2] = 4;
elements[95].Oxidstate[3] = 3;
elements[96].OxidNrs = 2;
elements[96].Oxidstate[0] = 4;
elements[96].Oxidstate[1] = 3;
elements[97].OxidNrs = 2;
elements[97].Oxidstate[0] = 4;
elements[97].Oxidstate[1] = 3;
elements[98].OxidNrs = 2;
elements[98].Oxidstate[0] = 4;
elements[98].Oxidstate[1] = 3;
elements[99].OxidNrs = 1;
elements[99].Oxidstate[0] = 3;
elements[100].OxidNrs = 1;
elements[100].Oxidstate[0] = 3;
elements[101].OxidNrs = 1;
elements[101].Oxidstate[0] = 3;
elements[102].OxidNrs = 2;
elements[102].Oxidstate[0] = 3;
elements[102].Oxidstate[1] = 2;
elements[103].OxidNrs = 1;
elements[103].Oxidstate[0] = 3;
elements[104].OxidNrs = 3;
elements[104].Oxidstate[0] = 4;
elements[104].Oxidstate[1] = 5;
elements[104].Oxidstate[2] = 6;
elements[105].OxidNrs = 3;
elements[105].Oxidstate[0] = 4;
elements[105].Oxidstate[1] = 5;
elements[105].Oxidstate[2] = 6;
elements[106].OxidNrs = 3;
elements[106].Oxidstate[0] = 4;
elements[106].Oxidstate[1] = 5;
elements[106].Oxidstate[2] = 6;
elements[107].OxidNrs = 3;
elements[107].Oxidstate[0] = 4;
elements[107].Oxidstate[1] = 5;
elements[107].Oxidstate[2] = 6;
elements[108].OxidNrs = 3;
elements[108].Oxidstate[0] = 4;
elements[108].Oxidstate[1] = 5;
elements[108].Oxidstate[2] = 6;
elements[109].OxidNrs = 3;
elements[109].Oxidstate[0] = 4;
elements[109].Oxidstate[1] = 5;
elements[109].Oxidstate[2] = 6;


return;

}

