/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/

#define TotStructs 110
#define TotConversFactors 7

struct info {
  int  Number;      /* Atomic Number */
  char Name[15];    /* Name - American spelling */
  char Symbol[3];   /* Atomic symbol */
  char AtmWeight[10];  /* 55th CRC handbook of chem. and Phys. pg 1 */
  double AtomWeight;   /* significant figures in mol. weight */
  char State[7];    /* gas, liquid or solid */
  int  Isotopes;     /* Number of isotopes in Mass table */
  char Masswt[15][23];    /* 15 seperate isotope relative percent masses */
  char MassPerc[15][23];   /* 15 Mass percent (character) */
  int  OxidNrs;         /* Number of oxidation states n Oxidstate table */
  int  Oxidstate[15];    /* Seperate oxidation states */
  char Density[10];     /* Density of the element */
  char SpecHeat[15];    /* Specific heat or heat capacity  CRC*/
  char Boilingpt[10];  /* 55th CRC handbook of chem. and Phys. pg 1 */
  char Meltingpt[10];  /* 55th CRC handbook of chem. and Phys. pg 1 */
  char IonizationE[10];  /* 55th CRC handbook of chem. and Phys. pg E-68 */
  double Atomicrad;
  char Covalent_radius[6];
  int Ionradnrs;  /* Number of ionic radii in Ionicrad table */
  char Ionicrad[15][6];  /* 15 ionic radii */
  int Oxidstd[15];      /* the ionic radii oxidation states */
  int Coordnumber[15];  /* the ionic r. coord.nums */
  double VDW;
  double Abundance;
  char e_config[80]; /* electron configuration */
  char SymbolEN[10];  /* Element symbol for Electronegativity */
  char PaulingEN[10];  /* Pauling electronegativity */
  char SanderEN[10];   /* Sanderson Electronegativity */
  char AllRocEN[10];   /* Allred-Rochow Electronegativity */
  char crystr[21];     /* Most common crystal structure */
} ;


