/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/

/* Source CRC, 64th edition 1983.
page B-194 Physical Constants of Minerals compiled by Ralph Kretz 
*/

struct MINERAL {
  char Name[40];
  char Crystaline[15];
  char Formula[60];
} Minerals[] = {
  {"Acanthite","Rhombic","AgS"},
  {"Actinolite","Monoclinic","Ca2(Mg,Fe)5Si8O22(OH,F)2"},
  {"Aegirine","Monoclinic","NaFe+3Si2O8"},
  {"Akermanite","Tetragonal","Ca2MgSi2O7"},
  {"Alabandite","Cubic","MnS"},
  {"Albite","Triclinic","NaAlSi3O8"},
  {"Allanite","Monoclinic","(Ca,Mn,Ce,La,Y,Th)2(Fe,Fe+3,Ti)(Al,Fe+3)2"},
  {"Allemontite","Hexagonal","AsSb"},
  {"Almandine","Cubic","Fe3Al2Si3O12"},
  {"Altaite","Cubic","PbTe"},
  {"Aluminite","Monoclinic","Al2(SO4)(OH)4 7H2O"},
  {"Alunite","Rhombohedral","(K,Na)Al3(SO4)2(OH)6"},
  {"Alunogen","Triclinic","Al2(SO4)3 18H2O"},
  {"Amblygonite","Triclinic","(Li,Na)Al(PO4)(F,OH)"},
  {"Analcite","Cubic","NaAlSi2O6 H2O"},
  {"Anatase","Tetragonal","TiO2"},
  {"Andalusite","Rhombic","Al2OSiO4"},
  {"Andesine","Triclinic","([NaSi]0.7-0.5[CaAl]0.3-0.5)AlSi2O8"},
  {"Andorite","Rhombic","PbAgSb3S6"},
  {"Andradite","Cubic","Ca3Fe+32Si3O12"},
  {"Anglesite","Rhombic","PbSO4"},
  {"Anhydrite","Rhombic","CaSO4"},
  {"Ankerite","Rhombohedral","Ca(Fe,Mg,Mn)(CO3)2"},
  {"Anorthite","Triclinic","CaAl2Si2O8"},
  {"Anorthoclase","Triclinic","(Na,K)AlSi3O8"},
  {"Anthophyllite","Rhombic","(Mg,Fe)7Si8O22(OH,F)2"},
  {"Antimony","Hexagonal","Sb"},
  {"Apatite","Hexagonal","Ca5(PO4)3(OH,F,Cl)"},
  {"Apophyllite","Tetragonal","KFCa4Si8O20 8H2O"},
  {"Aragonite","Rhombic","CaCO3"},
  {"Arcanite","rhom","K2SO4"},
  {"Argentite","Cubic","Ag2S"},
  {"Arsenic","Hexagonal","As"},
  {"Arsenolite","Cubic","As2O3"},
  {"Arsenopyrite","Monoclinic","FeAsS"},
  {"Atacamite","Rhombic","Cu2(OH)3Cl"},
  {"Augelite","Monoclinic","Al2(PO4)(OH)3"},
  {"Augite","Monoclinic","(Ca,Mg,Fe,Fe+3,Ti,Al)2(Si,Al)2O6"},
  {"Antunite","Tetragonal","Ca(UO2)2(PO4)2 10-12H2O"},
  {"Arinite","Triclinic","(Ca,Mn,Fe)3Al2BO3Si4O12(OH)"},
  {"Azurite","Monoclinic","Cu3(OH)2(CO3)2"},
  {"Baddeleyite","Monoclinic","ZrO2"},
  {"Barite","Rhombic","BaSO4"},
  {"Benitoite","Rhombohedral","BaTi(SiO3)3"},
  {"Bertrandite","Rhombic","Be4Si2O7(OH)2"},
  {"Beryl","Hexagonal","Be3Al2Si6O18"},
  {"Beryllonite","Monoclinic","NaBe(PO)4"},
  {"Biotite","Monoclinic","K(Mg,Fe)3AlSi3O10(OH,F)2"},
  {"Bismuth","Rhombohedral","Bi"},
  {"Bismuthinite","Rhombic","Bi2S3"},
  {"Bixbyite","Cubic","(Mn,Fe)2O3"},
  {"Bloedite","Monoclinic","Na2Mg(SO4)2 4N2O"},
  {"Boehmite","Rhombic","AlO(OH)"},
  {"Boracite","Rhombic","Mg3B7O13Cl"},
  {"Borax","Monoclinic","Na2B4O7 10H2O"},
  {"Bornite","Cubic","Cu5FeS4"},
  {"Boulangerite","Monoclinic","Pb5Sb4S11"},
  {"Bournonite","Rhombic","PbCuSbS3"},
  {"Braggite","Tetragonal","PtS"},
  {"Braunite","Tetragonal","(Mn,Si)2O3"},
  {"Bravoite","Cubic","(Ni,Fe)S2"},
  {"Breithuaptite","Hexagonal","NiSb"},
  {"Brochantite","Monoclinic","Cu4(SO4)(OH)6"},
  {"Bromyrite","Cubic","AgBr"},
  {"Brookite","Rhombic","TiO2"},
  {"Brucite","Hexagonal","Mg(OH)2"},
  {"Bunsenite","Cubic","NiO"},
  {"Cacoxenite","Hexagonal","Fe4(PO4)3(OH)3 12H2O"},
  {"Calcite","Rhombohedral","CaCO3"},
  {"Caledonite","Rhombic","Cu2Pb5(SO4)3(CO3)(OH)6"},
  {"Calomel","Tetragonal","HgCl"},
  {"Cancrinite","Hexagonal","(Na,Ca)7-8Al6Si6O24(CO3SO4Cl)1.5-2 1-5H2O"},
  {"Carnalite","Rhombic","KMgCl3 6H2O"},
  {"Carnotite","Rhombic","K2(UO2)2(VO4)2 3H2O"},
  {"Cassiterite","Tetragonal","SnO2"},
  {"Celestite","Rhombic","SrSO4"},
  {"Celsian","Monoclinic","BaAl2Si2O8"},
  {"Cervantite","Rhombic","Sb2O4"},
  {"Cerargyrite","Cubic","AgCl"},
  {"Cerussite","Rhombic","PbCO3"},
  {"Chabazite","Rhombohedral","(Ca,Na2)Al2Si4O12 6H2O"},
  {"Chalcocite","Rhombic","Cu2S"},
  {"Chalcanthite","Triclinic","CuSO4 5H2O"},
  {"Chalcopyrite","Tetragonal","CuFeS2"},
  {"Chiolite","Tetragonal","Na5Al3F14"},
  {"Chlorite","Monoclinic","(Mg,Al,Fe)12(Si,Al)8O20(OH)16"},
  {"Chloritoid","Monoclinic","(Fe,Mg,Mn)2(AlFe+3)Al3O2SiO4(OH)4"},
  {"Chondrodite","Monoclinic","Mg(OH,F)2(Mg2SiO4)2"},
  {"Chromite","Cubic","FeCr2O4"},
  {"Chrysoberyl","Rhombic","BeAl2O4"},
  {"Chrysocolla","Rhombic","CuSiO3 2H2O"},
  {"Cinnabar","Hexagonal","HgS"},
  {"Claudetite","Monoclinic","As2O3"},
  {"Clinozoisite","Monoclinic","Ca2Al2Si3O12(OH)"},
  {"Cobaltite","Cubic","CoAsS"},
  {"Colemanite","Monoclinic","Ca2B6O11 5H2O"},
  {"Columbite","Rhombic","(Fe,Mn)(Cb,Ta)2O6"},
  {"Connellite","Hexagonal","Cu19(SO4)Cl4(OH)32 3H2O"},
  {"Copiapite","Triclinic","(Fe,Mg)Fe+34(SO4)6(OH)2 20H2O"},
  {"Copper","Cubic","Cu"},
  {"Coquimbite","Hexagonal","Fe2(SO4)3 9H2O"},
  {"Cordierite","Rhombic","Al3(Mg,Fe)2Si5AlO18"},
  {"Corundum","Hexagonal","Al2O3"},
  {"Corunnite","Rhombic","BbCl2"},
  {"Covellite","Hexagonal","CuS"},
  {"Cristobalite","Tetragonal","SiO2"},
  {"Crocoite","Monoclinic","PbCrO4"},
  {"Cryolite","Monoclinic","Na3AlF6"},
  {"Cryolithionite","Cubic","Na3Li3Al2F12"},
  {"Cubanite","Rhombic","CuFe2S3"},
  {"Cummingtonite","Monoclinic","(Mg,Fe)7Si8O22(OH)2"},
  {"Cuprite","Cubic","Cu2O"},
  {"Danburite","Rhombic","CaSi2B2O8"},
  {"Datolite","Monoclinic","CaBSiO4(OH)"},
  {"Daubreelite","Cubic","Cr2FeS4"},
  {"Derbylite","Rhombic","Fe6Ti6Sb2O23"},
  {"Diamond","Cubic","C"},
  {"Diaspore","Rhombic","AlO(OH)"},
  {"Digenite","Cubic","Cu2xS"},
  {"Diopside","Monoclinic","CaMgSi2O6"},
  {"Dioptase","Rhombohedral","Cu6S6O18 6H2O"},
  {"Dolomite","Rhombohedral","CaMg(CO3)2"},
  {"Douglasite","None","K2FeCl4 2H2O"},
  {"Dyscrasite","Rhombic","Ag3Sb"},
  {"Eddingtonite","Rhombic","BaAl2Si3O10 4H2O"},
  {"Eglestonite","Cubic","Hg4OCl2"},
  {"Emplectite","Rhombic","CuBiS2"},
  {"Empressite","None","AgTe"},
  {"Enargite","Rhombic","Cu2AsS4"},
  {"Enstatite","Rhombic","MgSiO3"},
  {"Epidote","Monoclinic","Ca2Fe+3Al2Si3O12(OH)"},
  {"Epsomite","Rhombic","MgSO4 7H2O"},
  {"Erythrite","Monoclinic","(Co,Ni)3(AsO4)2 8H2O"},
  {"Eucairite","None","CuAgSe"},
  {"Euclasite","Monoclinic","BeAlSiO4(OH)"},
  {"Eudialite","Hexagonal","(Na,Ca,Fe)6ZrSi6O18(OH,Cl)"},
  {"Eulytite","Cubic","Bi3Si3O12"},
  {"Fayalite","Rhombic","FeSiO4"},
  {"Ferberite","Monoclinic","FeWO4"},
  {"Fergussonite","Tetragonal","(Y,Er,Ce,Fe)(Cb,Ta,Ti)2O6"},
  {"Fluorite","Cubic","CaF2"},
  {"Gahnite","Cubic","ZnAl2O4"},
  {"Galena","Cubic","PbS"},
  {"Galenabismuthite","Rhombic","PbBi2S4"},
  {"Ganomalite","Hexagonal","(Ca,Pb)10(OH,Cl)2(Si2O7)3"},
  {"Gaylussite","Monoclinic","Na2Ca(CO3)2 5H2O"},
  {"Gehlenite","Tetragonal","Ca2Al2SiO7"},
  {"Geikielite","Rhombohedral","MgTiO3"},
  {"Gibbsite","Monoclinic","Al(OH)3"},
  {"Gluaberite","Monoclinic","Na2Ca(SO4)2"},
  {"Glauconite","Monoclinic","(K,Na,Ca)1.2-2(Fe+3,Al,Fe,Mg)4Si7-7.6Al1-0.4O20(OH)4 nH2O"},
  {"Glaucophane","Monoclinic","Na2Mg2Al2Si8O22(OH)2"},
  {"Gmelinite","Rhombohedral","(Ca,Na2)Al2Si4O12 6H2O"},
  {"Goethite","Rhombic","FeO(OH)"},
  {"Gold","Cubic","Au"},
  {"Goslarite","Rhombic","ZnSo4 7H2O"},
  {"Graphite","Hexagonal","C"},
  {"Greenockite","Hexagonal","CdS"},
  {"Grossularite","Cubic","Ca3Al2Si3O12"},
  {"Gummite","None","UO3 H2O"},
  {"Gypsum","Monoclinic","CaSO4 2H2O"},
  {"Halite","Cubic","NaCl"},
  {"Hambergite","Rhombic","Be2(OH)(BO3)"},
  {"Hanksite","Hexagonal","Na22K(SO4)9(CO3)2Cl"},
  {"Harmotome","Monoclinic","BaAl2Si6O16 6H2O"},
  {"Hausmannite","Tetragonal","Mn3O4"},
  {"Hauyne","Cubic","(Na,Ca)4-8Al6Si6O24(SO4,S)1-2"},
  {"Hedenbergite","Monoclinic","CaFeSi2O6"},
  {"Helvite","Cubic","Mn4Be3Si3O12S"},
  {"Hematite","Rhombohedral","Fe2O3"},
  {"Hemimorphite","Rhombic","Zn4Si2O7(OH)2 H2O"},
  {"Hercynite","Cubic","FeAl2O4"},
  {"Herderite","Monoclinic","CaBe(PO4)(Fe,OH)"},
  {"Hessite","Monoclinic","Ag2Te"},
  {"Heulandite","Monoclinic","(Ca,Na2)Al2Si7O18 6H2O"},
  {"Hopeite","Rhombic","Zn(PO4)2 4H2O"},
  {"Hornblende","Monoclinic","(Ca,Na,K)2-3(Mg,Fe+3Al)5S6(Si,Al)2O22(OH,F)2"},
  {"Huebnerite","Monoclinic","MnWO4"},
  {"Humite","Rhombic","Mg(OH,F)2 3MgSiO4"},
  {"Huntite","Rhombic","Mg3Ca(CO3)4"},
  {"Hydrogrossularite","Cubic","Ca2Al2Si2O8(SiO4)1-m(OH)4m"},
  {"Hydromagnesite","Monoclinic","Mg4(OH)2(CO3) 3H2O"},
  {"Illite","Monoclinic","K1-1.5Al4Si7-6.5Al1-1.5O20(OH)4"},
  {"Ilmenite","Rhombohedral","FeTiO3"},
  {"Iodyrite","Hexagonal","AgI"},
  {"Jadeite","Monoclinic","NaAlSi2O6"},
  {"Jamesonite","Monoclinic","Pb4FeSb6S14"},
  {"Jarosite","Rhombohedral","KFe3(SO4)2(OH)6"},
  {"Kainite","Monoclinic","KMg(SO4)Cl 3H2O"},
  {"Kaliophyllite","Hexagonal","KAlSiO4"},
  {"Kaolinite","Triclinic","Al4Si4O10(OH)8"},
  {"Kernite","Monoclinic","Na2B4O7 4H2O"},
  {"Kieserite","Monoclinic","MgSO4 H2O"},
  {"Kyanite","Triclinic","Al2OSiO4"},
  {"Lanarkite","Monoclinic","Pb2(SO4)O"},
  {"Lanthanite","Rhombic","(La,Ce)2(CO3)3 8H2O"},
  {"Laumontite","Monoclinic","CaAl2Si4O12 4-3.5H2O"},
  {"Laurionite","Rhombic","Pb(OH)Cl"},
  {"Lawsonite","Rhombic","CaAl2(OH)2Si2O7 H2O"},
  {"Lazulite","Monoclinic","(Mg,Fe)Al2(PO4)2(OH)2"},
  {"Lazurite","Cubic","Na4SSi3Al3O12"},
  {"Leadhillite","Monoclinic","Pb4(SO4)(CO3)2(OH)2"},
  {"Lepidocrocite","Rhombic","FeO(OH)"},
  {"Lepidolite","Monoclinic","K2(Li,Al)5-6Si6-7Al2-1O20(OH,F)4"},
  {"Leucite","Tetragonal","KAlSi2O6"},
  {"Levyne","Rhombohedral","(Ca,Na2)Al2Si4O12 6H2O"},
  {"Litharge","Tetragonal","PbO"},
  {"Loellingite","Rhombic","FeAs2"},
  {"Magnesite","Rhombohedral","MgCO3"},
  {"Magnetite","Cubic","Fe3O4"},
  {"Malachite","Monoclinic","Cu2(OH)2(CO3)"},
  {"Manganite","Monoclinic","MnO(OH)"},
  {"Manganosite","Cubic","MnO"},
  {"Marcasite","Rhombic","FeS2"},
  {"Marialite","Tetragonal","Na4Al3Si9O24Cl"},
  {"Marshite","Cubic","CuI"},
  {"Mascagnite","Rhombic","(NH4)2SO4"},
  {"Matlockite","Tetragonal","PbFCl"},
  {"Meionite","Tetragonal","Ca4Al6Si6O24CO3"},
  {"Melanterite","Monoclinic","FeSO4 7H2O"},
  {"Melilite","Tetragonal","(Ca,Na,K)7(Mg,Fe,Fe+3,Al,Si)2O7"},
  {"Mellite","Tetragonal","Al2C12O17 18H2O"},
  {"Mendipite","Rhombic","Pb2O2Cl2"},
  {"Mesolite","Monoclinic","Na2Ca2(Al2Si3O10) 8H2O"},
  {"Metacinnabar","Cubic","HgS"},
  {"Microcline","Triclinic","KAlSi2O8"},
  {"Microlite","Cubic","(Na,Ca)2Ta2O5(O,OH,F)"},
  {"Miersite","Cubic","AgI"},
  {"Millerite","Hexagonal","NiS"},
  {"Mimetite","Hexagonal","Pb5(AsO4,PO4)3Cl"},
  {"Minium","None","Pb3O4"},
  {"Mirabilite","Monoclinic","Na2SO4 10H2O"},
  {"Moissanite","Hexagonal","SiC"},
  {"Molybdenite","Hexagonal","MoS2"},
  {"Monarite","Monoclinic","(Ce,La,Th)PO4"},
  {"Monetite","Triclinic","CaH(PO4)"},
  {"Monticellite","Rhombic","CaMgSiO4"},
  {"Montmorillonite","Monoclinic","(Ca,Na)0.35(Al,Mh,Fe)4(Si,Al)8O20(OH)4 nH2O"},
  {"Montroydite","Rhombic","HgO"},
  {"Mordenite","Rhombic","(Na2,K2,Ca)Al2Si10O24 7H2O"},
  {"Muscovite","Monoclinic","KAl2Si3AlO10(OH,F)2"},
  {"Natokite","Cubic","CuCl"},
  {"Natrolite","Rhombic","Na2Al2Si3O10 2H2O"},
  {"Nepheline","Hexagonal","Na3KAl4Si4O16"},
  {"Newberyite","Rhombic","MgH(PO4) 3H2O"},
  {"Nicolite","Hexagonal","NiAs"},
  {"Nosean","Cubic","Na8Al6Si6O24SO4"},
  {"Oldhamite","Cubic","CaS"},
  {"Oligoclase","Triclinic","([NaSi]0.9-0.7[CaAl]0.1-0.3)AlSi2O8 "},
  {"Olivenite","Rhombic","Cu2(AsO4)(OH)"},
  {"Olivine","Rhombic","(Mg,Fe)SiO4"},
  {"Opal","None","SiO2 nH2O"},
  {"Orpiment","Monoclinic","As2S3"},
  {"Orthoclase","Monoclinic","KAlSi2O8"},
  {"Orthopyroxene","Rhombic","(Mg,Fe)SiO4"},
  {"Paragonite","Monoclinic","NaAl2Si3AlO10(OH)2"},
  {"Parisite","Hexagonal","(Ce,La,Na)FCO3 CaCO3"},
  {"Pectolite","Triclinic","Ca2NaH(SiO3)3"},
  {"Penfieldite","Hexagonal","Pb4Cl6(OH)2"},
  {"Pentlandite","Cubic","(Fe,Ni)9S8"},
  {"Percylite","Cubic","PbCuCl2(OH)2"},
  {"Periclase","Cubic","MgO"},
  {"Pekovskite","Cubic","CaTiO3"},
  {"Petalite","Monoclinic","LiAlSi4O10"},
  {"Pharmacosiderite","Cubic","Fe3(AsO4)2(OH)3 5H2O"},
  {"Phenakite","Rhombohedral","Be2SiO4"},
  {"Phillipsite","Monoclinic","(Ca,Na,K)1.5Al3Si5O16 6H2O"},
  {"Phlogopite","Monoclinic","KMg3AlSi2O10(OH,F)2"},
  {"Phosgenite","Tetragonal","Pb2(CO3)Cl2"},
  {"Piemontite","Monoclinic","Ca2(Mn,Fe+3,Al)2AlSi3O12(OH)"},
  {"Pigeonite","Monoclinic","(Mg,Fe,Ca)(Mg,Fe)Si2O6"},
  {"Platinum","Cubic","Pt"},
  {"Pellucite","Tetragonal","CsAlSi2O6"},
  {"Polybasite","Monoclinic","(Ag,Cu)16Sb2S11"},
  {"Powellite","Tetragonal","Ca(Mo,W)O4"},
  {"Prehnite","Rhombic","Ca2Al2Si3O10(OH)2"},
  {"Proustite","Rhombohedral","Ag3AsS3"},
  {"Pseudobrookite","Rhombic","Fe2TiO6"},
  {"Psilomelane","Rhombic","BaMn+2Mn8+4O16(OH)3Si6O23"},
  {"Pumpellyite","Monoclinic","Ca,(Mg,Fe,Mn)(Al,Fe+3,Ti)5(OH)3Si6O23 2H2O"},
  {"Pyrargyrite","Rhombohedral","Ag2SbS3"},
  {"Pyrite","Cubic","FeS2"},
  {"Pyrochlore","Cubic","NaCaCb2O6F"},
  {"Pyrochroite","Hexagonal","Mn(OH)2"},
  {"Pyrolusite","Tetragonal","MnO2"},
  {"Pyromorphite","Hexagonal","Pb5(PO4,AsO4)3Cl"},
  {"Pyrope","Cubic","Mg3Al2Si2O12"},
  {"Pyrophyllite","Monoclinic","Al2Si4O10(OH)2"},
  {"Pyrrhotite","Hexagonal","Fe1-0.8S"},
  {"Quartz","Rhombohedral","SiO2"},
  {"Rammelsbergite","None","NiAs2"},
  {"Raspite","Monoclinic","PbWO4"},
  {"Realgar","Monoclinic","AsS"},
  {"Riebeckite","Monoclinic","Na2Fe3Fe+32Si8O22(OH,F)2"},
  {"Rhodochrosite","Rhombohedral","MnCO3"},
  {"Rhodonite","Triclinic","(Mn,Fe,Ca)SiO3"},
  {"Rutile","Tetragonal","TiO2"},
  {"Safflorite","Rhombic","(Co,Fe)As2"},
  {"Samarskite","Rhombic","(Y,Er,Ce,U,Ca,Fe,Pb,Th)(Cb,Ta,Ti,Sn)2O6"},
  {"Sapphirinte","Monoclinic","(Mg,Fe)2Al4O6SiO3"},
  {"Scapolite","Tetragonal","(Na,Ca)4Al3(Al,Si)3Si6O24(Cl,F,OH,CO3,SO4)"},
  {"Scheelite","Tetragonal","CaWO4"},
  {"Scolecite","Monoclinic","CaAl2Si3O10 3H2O"},
  {"Scorodite","Rhombic","Fe+3(AsO4) 2H2O"},
  {"Sellaite","Tetragonal","MgF2"},
  {"Senarmontite","Cubic","Sb2O3"},
  {"Serpentine","Monoclinic","Mg2Si2O5(OH)4"},
  {"Siderite","Rhombohedral","FeCO3"},
  {"Sillimanite","Rhombic","Al2OSiO4"},
  {"Silver","Cubic","Ag"},
  {"Skutterudite","Cubic","MgF2"},
  {"Smithsonite","Rhombohedral","ZnCO3"},
  {"Sodalite","Cubic","Na8Al6Si2O24Cl2"},
  {"Sperrylite","Cubic","PtAs2"},
  {"Spessartite","Cubic","Mn3Al2Si3O12"},
  {"Sphalerite","Cubic","ZnS"},
  {"Sphene","Monoclinic","CaTiSiO4(O,OH,F)"},
  {"Spinel","Cubic","MgAl2O4"},
  {"Spodumene","Monoclinic","LiAlSi2O6"},
  {"Stannite","tert","Cu2FeSn4"},
  {"Staurolite","Monoclinic","(Fe,Mg)2(AlFe+3)9O6SiO4(O,OH)2"},
  {"Stercorite","Triclinic","Na(NH4)H(PO4) 4H2O"},
  {"Stibiotantalit","Rhombic","Sb(Ta,Cb)O4e"},
  {"Stibnite","Rhombic","Sb2S3"},
  {"Stilbite","Monoclinic","(Ca,Na2K2)Al2Si7O18 7H2O"},
  {"Stilpnomelane","Monoclinic","(K,Na,Ca)0-1.4(Fe+3Fe,Mg,Al)6-8Si8O20(OH)4)(O,OH,H2O)4-8"},
  {"Stolzite","tert","PbWO4"},
  {"Strengite","Rhombic","Fe+3(PO4) 2H2O"},
  {"Strontianite","Rhombic","SrCO3"},
  {"Struvite","Rhombic","Mg(NH4)(PO4) 6H2O"},
  {"Sulfur","Rhombic","S"},
  {"Sylvanite","Monoclinic","(Ag,Au)Te2"},
  {"Sylvite","Cubic","KCl"},
  {"Talc","Monoclinic","Mg2Si4O10(OH)2"},
  {"Tantalite","Rhombic","(Fe,Mn)(Ta,Cb)2O6"},
  {"Tapiolite","Tetragonal","FeTa2O6"},
  {"Tellurobismuthite","Rhombohedral","Bi2Te3"},
  {"Terlinguaite","Monoclinic","Hg2OCl"},
  {"Tetrahedrite","Cubic","(Cu,Fe)12Sb4S13"},
  {"Thenardite","Rhombic","Na2SO4"},
  {"Thermonatrite","Rhombic","Na2CO3 H2O"},
  {"Thomsenolite","Monoclinic","NaCaAlF6 H2O"},
  {"Thomsonite","Rhombic","NaCa2([Al,Si]5O10)2 6H2O"},
  {"Thorianite","Cubic","ThO2"},
  {"Thorite","Tetragonal","ThSiO4"},
  {"Topaz","Rhombic","Al2SiO3(OH,F)2"},
  {"Torbernite","Tetragonal","Cu(UO2)2(PO4)2 8-12H2O"},
  {"Tourmaline","Rhombohedral","Na(Mg,Fe,Mn,Li,Al)3Al6Si6O18(BO3)3(OH,F)4"},
  {"Tremolite","Monoclinic","Ca2Mg5Si8O22(OH,F)2"},
  {"Tridymite","Rhombic","SiO2"},
  {"Triphyllite","Rhombic","Li(Fe,Mn)PO4"},
  {"Lithiophyllite","Rhombic","Li(Fe,Mn)PO4"},
  {"Troegerite","Tetragonal","(UO2)3(AsO4)2 12H2O"},
  {"Trona","Monoclinic","Na2H(CO3)2 2H2O"},
  {"Turquois","Triclinic","Cu(Al,Fe+3)6(PO4)4(OH)8 4H2O"},
  {"Ullmannite","Cubic","NiSbS"},
  {"Uraninite","Cubic","UO2"},
  {"Uvarovite","Cubic","Ca2Cr2Si3O12"},
  {"Valentinite","Rhombic","Sb2O3"},
  {"Vanadinite","Hexagonal","Pb5(VO4)3Cl"},
  {"Variscite-Strengite","Rhombic","(AlFe+3)(PO4) 2H2O"},
  {"Vaterite","Hexagonal","CaCO3"},
  {"Vermiculite","Monoclinic","(Mg,Ca)0.7(Mg,Fe+3Al)6(Al,Si)8O20(OH)4 8H2O"},
  {"Vesuvianite","Tetragonal","Ca10(Mg,Fe)2Al4(Si2O7)2(SiO4)5(OH,F)4"},
  {"Villiaumite","Cubic","NaF"},
  {"Vivianite","Monoclinic","Fe3(PO4)2.8 H2O"},
  {"Wagnerite","Monoclinic","Mg2(PO4)F"},
  {"Wavellite","Rhombic","Al3(OH)3(PO4)2 5H2O"},
  {"Whewellite","Monoclinic","Ca(C2O4) H2O"},
  {"Willemite","Rhombohedral","Zn2SiO4"},
  {"Witherite","Rhombic","BaCO3"},
  {"Wolframite","Monoclinic","(Fe,Mn)WO4"},
  {"Wulfenite","Tetragonal","PbMoO4"},
  {"Wurtzite","Hexagonal","ZnS"},
  {"Xenotime","Tetragonal","Y(PO4)"},
  {"Zeunerite","Tetragonal","Cu(UO2)2(AsO4)2 10-16H2O"},
  {"Zineite","Hexagonal","ZnO"},
  {"Zircon","Tetragonal","ZrSiO4"},
  {"Zoisite","Rhombic","Ca2Al3Si2O 12(OH)"},
  {"EndOfList","End"}};

