/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "periodic.h"
#include "header.h"

extern int label_option;
extern int shell_option;
extern int number_option;
extern int element_option;

main(int argc, char *argv[])
{

 int element;
 int key, i;

 if(argc <= 1)
   ;
 else if (argc >= 2) {
   for(i = 1;i < argc; i++) {
     if(strchr(argv[i],'h') != 0) {
       printf("The Electronic Periodic Table of the Elements\n");
       printf("Start Options: -wxyz\n");
       printf(" w: Turn off Group Labels headers on the table\n");
       printf(" x: Turn off Atomic Numbers on the table\n");
       printf(" y: Turn off Electronic Configuration\n");
       printf(" z: Turn off Expanded View of Current Element\n\n");
       exit(1);
     }
     if(strchr(argv[i],'w') != 0)
       label_option = 0;
     if(strchr(argv[i],'x') != 0)
       number_option = 0;
     if(strchr(argv[i],'y') != 0)
       shell_option = 0;
     if(strchr(argv[i],'z') != 0)
       element_option = 0;
   }
 }

 initscr();
 setinput();

 refresh();

 fill_elements();

 make_coordinates();

 do_help(); 

 clear();
 draw_table();
 ask_user();
 endprog (0);
}
