/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/

#include "periodic.h"
#include "info.h"

extern struct info elements[TotStructs];
extern int Xpos;
extern int Ypos;
extern int Ptable[11][19];
extern int coordinates[180][2];

int table_key( int key )
{
  int i;
  int savex,savey;
  int element;

 dokey:
  savex = Xpos;
  savey = Ypos;

  switch(key) {
    
  case 27:
    key = ttinp();
    key = ttinp();
    switch(key) {
    case 'A':     /* Up arrow */
      key = 'k';
      break;
    case 'B':     /* Down Arrow */
      key = 'j';  
      break;
    case 'C':     /* Right Arrow */
      key = 'l';
      break;
    case 'D':     /* Left Arrow */
      key = 'h';
      break;
    case '2':     /* Help button, do and func keys F9-F20 */
      key = ttinp();
      switch(key) {
      case '8':    /* Help key */
	key = '?';
	break;
      case '9':    /* Do key */
	key = 'i';
	break;
      }
      i = ttinp();  /* extra character */
      break;
      
    default:
      key = 0;
    }
    goto dokey;
    break;

  case 'H':
  case 'h': Xpos = Xpos - 1;
    if(Xpos == 0){
      if(Ypos<=7 && Ypos!=1) {
	Ypos = Ypos - 1;
	Xpos = 18;
	break;
      }
      if(Ypos==1) {
	bell();
	Xpos = savex;
	break;
      }
    }
    if (Ypos > 8 && Xpos ==3) {
      Ypos = Ypos - 3;
      break;
    }
    if((Ypos==6 || Ypos == 7) && Xpos==3) {
      Ypos = Ypos + 3;
      Xpos = 17;
      break;
    }
    while(Xpos > 0 && (Ptable[Ypos][Xpos] == 0)) {
      Xpos = Xpos -1;
      if(Xpos < 1) {
	bell();
	Xpos = savex;
	break;
      }
    }
    break;
    
  case 'J':
  case 'j': Ypos = Ypos + 1;
    if(Ypos > 10) {
      bell();
      Ypos = savey;
      break;
    }
    if(Ypos == 8) {
      Ypos = Ypos + 1;
      if(Xpos < 5)
	Xpos = 4;
      break;
    }
    if(Ypos == 7 && Xpos == 18) {
      Ypos = 9;
      Xpos = 17;
      break;
    }
    while(Ypos < 11 && (Ptable[Ypos][Xpos] == 0)) {
      Ypos = Ypos + 1;
      if(Ypos >= 10) {
	bell();
	Ypos = savey;
	break;
      }
    }
    break;
    
  case 'K':
  case 'k': Ypos = Ypos - 1;
    if(Ypos == 1) {
      if(Xpos < 3) {
	Xpos = 1;
	break;
      } else if (Xpos > 12) {
	Xpos = 18;
	break;
      }
    }
    if(Ypos == 3) {
      if(Xpos>=3 && Xpos <= 12) {
	if(Xpos< 8) {
	  Xpos = 2;
	} else {
	  Xpos = 13;
	}
	break;
      }
    }	
    if(Ypos <= 0) {
      bell();
      Ypos = savey;
      break;
    }
    while(Ypos > 0 && (Ptable[Ypos][Xpos] == 0)) {
      Ypos = Ypos - 1;
      if(Ypos < 1) {
	bell();
	Ypos = savey;
	break;
      }
    }
    break;
    
  case '9':   /* tab key */
  case 'L':
  case 'l': Xpos = Xpos + 1;
    if(Xpos == 4 && (Ypos == 6 || Ypos == 7)) {
      Ypos = Ypos + 3;
      break;
    } else if (Xpos >= 19) {
      Ypos = Ypos + 1; /* from the right hand side,left hand side in */
      Xpos = 1;  /* atomic number session */
      break;
    } else if (Xpos >= 18) {
      if (Ypos > 8) { /* Lanthanides and Actinides */
	Ypos = Ypos - 3;
	Xpos = 4;
	break;
      }
    }
    while((Xpos < 19) && (Ptable[Ypos][Xpos] == 0)){
      Xpos = Xpos + 1;
      if(Xpos > 18) {
	bell();
	Xpos = savex;
	break;
      }
    } 
    break;

  default:
    return 0;
  }
  element = Ptable[Ypos][Xpos];
  return element;
}
