/*

Copyright 1994 by Todd M. Miller

Permission to use, copy, modify, and distribute this
software and its documentation for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.
The author makes no representations about the suitability of
this software for any purpose.  It is provided "as is"
without express or implied warranty.

*/


/*
Chemistry, 2nd ed; Bailar, J.C., Kleinburg, J., Castellion, M.E., Moeller, T.,
Guss, C.O., Metz, C., Academic Press, New York, 1984 page 110

* The Search For The Elements, Isaac Asimov, Basic Books Inc., New York, 1962

** The Lore and Romance of Alchemy, C.J.S. Thompson, Bell Publishing Co.,
New York, 1990 edition.

@ Chemistry of the Elements, Greenwood, N.N.; Earnshaw, A., Pergamon Press,
Elmsford, New York, 1984

# The Development of Modern Chemistry; Ihde, Aaron J.; Harper & Row, New York,
1964, pages747-749

*/


struct TL {
  char *line;
} TimeLine[] = {
{" 2000 B.C. Bronze used by the Egyptians"}, /* ** */
{"  600 B.C. Water proposed as an Element by Thales"},  /* * */
{"  550 B.C. Air proposed as an Element by Anaximenes"}, /* * */
{"  550 B.C. Fire proposed as an Element by Heraclitus"}, /* * */
{"  450 B.C. Earth proposed as an Element by Empedocles"}, /* * */
{"  350 B.C. Aether proposed as an Element by Aristotle"}, /* * */
{"  750 A.D. Mercury proposed as an Element by Jabir"}, /* * */
{"  750 A.D. Sulfur proposed as an Element by Jabir"}, /* * */
{" 1530 A.D. Salt used in descriptions by Paracelsus"}, /* * */
{" 1662 A.D. Boyle's Law"},
{" 1669 A.D. Brand discovers Phosphorus"},
{" 1669 A.D. Johann J. Becher invents Phlogiston theory of burning"},
{" 1737 A.D. Brandt discovers Cobalt"},
{" 1738 A.D. Daniel Bernoulli relates pressure to molecular motion"},
{" 1748 A.D. de Ulloa discovers Platinum (describes earlier known metal)"},
{" 1751 A.D. Cronstedt discovers Nickel"},
{" 1766 A.D. Henry Cavendish discovers hydrogen"},
{" 1772 A.D. Daniel Rutherford discovers nitrogen"},
{" 1772 A.D. L.B.G. deMorveau,first table of chemically simple substances"}, /* @ */
{" 1774 A.D. Scheele discovers Chlorine"},
{" 1774 A.D. Joseph Priestly discovers oxygen"},
{" 1774 A.D. Gahn discovers Manganese"},
{" 1776 A.D. Antoine Lavoisier characterizes oxygen"},
{" 1781 A.D. Hjelm discovers Molybdenum"},
{" 1783 A.D. Muller von Reichstein discovers Tellurium"},
{" 1783 A.D. de Elhuyar brothers discovers Tungsten"},
{" 1787 A.D. Charles' law"},
{" 1789 A.D. Klaproth discovers Uranium"},
{" 1789 A.D. Klaproth discovers Zirconium"},
{" 1791 A.D. Gregor discovers Titanium"},
{" 1794 A.D. Gadolin discovers Yttrium"},
{" 1797 A.D. Vauquelin discovers Beryllium"},
{" 1798 A.D. Vauquelin discovers Chromium"},
{" 1801 A.D. Hatchett discovers Niobium"},
{" 1801 A.D. Dalton's law of partial pressures"},
{" 1802 A.D. Ekeberg discovers Tantalum"},
{" 1803 A.D. Wollaston discovers Palladium"},
{" 1803 A.D. Wollaston discovers Rhodium"},
{" 1803 A.D. Klaproth discovers Cerium"},
{" 1804 A.D. Tennant discovers Osmium"},
{" 1804 A.D. Tennant discovers Iridium"},
{" 1807 A.D. Davy discovers Potassium"},
{" 1807 A.D. Davy discovers Sodium"},
{" 1808 A.D. Gay-Lussac's law of combining volues"},
{" 1808 A.D. Davy discovers Barium"},
{" 1808 A.D. Davy discovers Strontium"},
{" 1808 A.D. Davy discovers Calcium"},
{" 1808 A.D. Davy discovers Magnesium"},
{" 1808 A.D. Gay-Lussac and Thenard discovers Boron"},
{" 1811 A.D. Courtois discovers Iodine"},
{" 1817 A.D. Arfvedson discovers Lithium"},
{" 1817 A.D. Stromeyer discovers Cadmium"},
{" 1818 A.D. Berzelius discovers Selenium"},
{" 1824 A.D. Berzelius discovers Silicon"},
{" 1825 A.D. Oersted discovers Aluminum"},
{" 1826 A.D. Balard discovers Bromine"},
{" 1829 A.D. Berzelius discovers Thorium"},
{" 1829 A.D. J.W. Dobereiner discovers triads of elements for periodic table"}, /* @ */
{" 1830 A.D. Graham's law of diffision"},
{" 1830 A.D. Sefstrom discovers Vanadium"},
{" 1839 A.D. Mosander discovers Lanthanum"},
{" 1843 A.D. Mosander discovers Terbium"},
{" 1843 A.D. Mosander discovers Erbium"},
{" 1843 A.D. L.Gmelin Vshaped arrangements of 16 triads for periodic table"}, /* @ */
{" 1844 A.D. Klaus discovers Ruthenium"},
{" 1846 A.D. Graham's law of effusion"},
{" 1857 A.D. J.B. Dumas published rudimentary table, 32 elements in 8 columns"}, /* @ */
{" 1860 A.D. Bunsen and Kirchhoff discover Cesium"},
{" 1860 A.D. J. Clerk Maxwell, mathematics of kinetic theory"},
{" 1861 A.D. Bunsen and Kirchhoff discover Rubidium"},
{" 1861 A.D. William Crookes discovers Thallium"},
{" 1862 A.D. A.E.B. de Chancourtois table of elements by atomic weight"},
{" 1863 A.D. Reich and Richter discover Indium"},
{" 1864 A.D. L. Meyer published table of valences for 49 elements"}, /* @ */
{" 1864 A.D. W. Odling drew up an almost correct table of 57 elements"}, /* @ */
{" 1865 A.D. J.A.R. Newlands publishes his periodic table"}, /* @ */
{" 1868 A.D. Ludwig Boltzmann, mathmatics of kinetic theory"},
{" 1869 A.D. D.I. Mendeleev published several forms of the periodic table"}, /* @ */
{" 1871 A.D. D.I. Mendeleev's improved periodic table predicts 10 elements"}, /* @ */
{" 1875 A.D. Boisbaudran discovers Gallium"},
{" 1879 A.D. Cleve discovers Holmium"},
{" 1879 A.D. Cleve discovers Thulium"},
{" 1879 A.D. Nilson discovers Scandium"},
{" 1879 A.D. Nilson discovers Ytterbium"},
{" 1879 A.D. Cathode rays, William Crookes"},
{" 1880 A.D. Boisbaudran discovers Samarium"},
{" 1880 A.D. Marignac discovers Gadolinium"},
{" 1881 A.D. Electron, G. Johnstone Stoney"},
{" 1885 A.D. Auer von Welsbach discovers Praseodymium"},
{" 1885 A.D. Auer von Welsbach discovers Neodymium"},
{" 1885 A.D. Hydrogen Spectrum, Johann Balmer"},
{" 1886 A.D. Winkler discovers Germanium"},
{" 1886 A.D. Moissan discovers Fluorine"},
{" 1886 A.D. Boisbaudran discovers Dysprosium"},
{" 1886 A.D. Canal rays, Eugen Goldstein"},
{" 1894 A.D. William Ramsay and Rayleigh discover Argon"},
{" 1895 A.D. William Ramsay and Cleve (independantly) discover Helium"},
{" 1897 A.D. Electron e/m, J.J. Thompson"},
{" 1898 A.D. William Ramsay and Travers discover Krypton"},
{" 1898 A.D. William Ramsay and Travers discover Neon"},
{" 1898 A.D. William Ramsay and Travers discover Xenon"},
{" 1898 A.D. Marie and Pierre Curie discover Polonium"},
{" 1898 A.D. Marie and Pierre Curie and Gustave Bemont discover Radium"},
{" 1998 A.D. Canal ray e/m, W. Wien"},
{" 1899 A.D. Debierne discovers Actinium"},
{" 1900 A.D. Dorn dicovers Radon (Thoron by Rutherford and Owens)."},
{" 1900 A.D. E - hv, Max Plank"},
{" 1901 A.D. Demarcay discovers Europium"},
{" 1905 A.D. Quantized radiation, Albert Einstein"},
{" 1907 A.D. Urbain discovers Lutetium"},
{" 1909 A.D. Charge on electron, Robert A. Millikan"},
{" 1911 A.D. Nuclear atom model, Ernest Rutherford"},
{" 1913 A.D. Hydrogen atom model, Niels Bohr"},
{" 1913 A.D. Meaning of atomic number, Henry Moseley"},
{" 1917 A.D. Hahn and Meitner discover Protactinium"},
{" 1923 A.D. Coster and Hevesy discover Hafnium"},
{" 1923 A.D. lamba = h/mu, Louis de Broglie"},
{" 1925 A.D. Noddack, Tacke, and Berg discover Rhenium"},
{" 1926 A.D. Wave-mechanical atomic model, Erwin Schrodinger"},
{" 1926 A.D. Uncertainty Principal, Werner Heisenberg"},
{" 1927 A.D. Electron diffraction, C.J. Davisson and L.H. Germer"},
{" 1932 A.D. Neutron, James Chadwick"},
{" 1939 A.D. Perey discovers Francium"},
{" 1939 A.D. Perrier and Segre discover Technetium"},
{" 1940 A.D. E. McMillan and P. Abelson synthesize Neptunium"}, /* @ */
{" 1940 A.D. Corson, Mackenzie, and Segre synthesize Astatine"},
{" 1940 A.D. Seaborg, McMillan, Kennedy, and Wahl synthesize Plutonium"},
{" 1944 A.D. G.T. Seaborg proposed actinide hypothesis and predicted 14 elements"}, /* @ */
{" 1944 A.D. Seaborg, James, and Morgan synthesize Americium"},
{" 1944 A.D. Seaborg, James, and Ghiorso synthesize Curium"},
{" 1945 A.D. Marinsky and Glendenin synthesize Promethium"},
{" 1949 A.D. Thompson, Ghiorso, and Seaborg synthesize Berkelium"},
{" 1949 A.D. Thompson, Street, Ghiorso, and Seaborg synthesize Californium"},
{" 1954 A.D. Berkely group synthesize Einsteinium"},
{" 1954 A.D. Berkely group synthesize Fermium"},
{" 1955 A.D. Ghiosro, Harvey, Choppin, Thompson, and Seaborg make Mendelevium"},
{" 1958 A.D. Robert J. Silva and coworkers produce somewhat stable Nobelium"},
{" 1961 A.D. Ghiosro and coworkers produce Lawrencium"},
{" 1964 A.D. Russian researchers at Dubna discover Dubnium"},
{" 1967 A.D. Russian researchers at Dubna discover Joliotium"},
{" 1974 A.D. Russian researchers at Dubna discover Rutherfordium"},
{" 1976 A.D. Russian researchers discover Bohrium"},
{" 1981 A.D. Armbruster et.el. at Darmstadt, Germany discover Hahnium"},
{" 1982 A.D. Armbruster et.el. at Darmstadt, Germany discover Meitenerium"},
{" 1987 A.D. Organession et.el. in Russia clain to discover element 110."},
{" 1994 A.D. Armbruster et.el. at Darmstadt, Germary create element 110"},
{" 1994 A.D. Armbruster et.el. at Darmstadt, Germany create element 111"},
{"EndOfData"}};

